summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--www-client/firefox/Manifest98
-rw-r--r--www-client/firefox/files/firefox-r1.sh116
-rw-r--r--www-client/firefox/firefox-91.0.ebuild1148
3 files changed, 1362 insertions, 0 deletions
diff --git a/www-client/firefox/Manifest b/www-client/firefox/Manifest
index 60850bb578b..91ed5378f1c 100644
--- a/www-client/firefox/Manifest
+++ b/www-client/firefox/Manifest
@@ -290,3 +290,101 @@ DIST firefox-90.0.2-xh.xpi 430182 BLAKE2B d849e34655c8b50abb2ce4d2197cdf8761b271
DIST firefox-90.0.2-zh-CN.xpi 588311 BLAKE2B 6656456291738d7b7651e14558a288eec053c1815fec33826e6db4c36058007d9131fb2c2847fda57f8ac75d8b5da9e7c0334db6c9cda0043c8bcb2a84db92c1 SHA512 6ee44936371e07a21903565bdacffb593a4a4fd64413bdc1f6998cb406afa11d934eea20e5ad5117468750d3eca53e80aa6afd9ece1c63ad4eae59a459a3b0c5
DIST firefox-90.0.2-zh-TW.xpi 588723 BLAKE2B 295e5ebb3f810f1ab8b66f301ee5fcd67d147cc640daabbb12e481baf835a439992fc5e1d1195bcd8b28e91336281b2e94d207d77261ec1297c784fdc3fba5eb SHA512 a6b5747fc3986357f13db401dd93763f370e547e3fae61330108debd981fbc630f6af8003d6146e73cdcc948e4b79fc00614e6a257358155b3cfe0176d2e55de
DIST firefox-90.0.2.source.tar.xz 380670372 BLAKE2B 782e548663d3538d834feeea54c9fa54ff5580472b967bb60be331e591b782fff2a6877f2e8db29511ac4b4b3dff847f30dc8f0a8333ece3d4156d6ac10a723d SHA512 4fda0b1e666fb0b1d846708fad2b48a5b53d48e7fc2a5da1f234b5b839c55265b41f6509e6b506d5e8a7455f816dfa5ab538589bc9e83b7e3846f0f72210513e
+DIST firefox-91-patches-01.tar.xz 22352 BLAKE2B 2761467fed0a288f5ed58a2806eb73a00ae91f35d62284b48adf39898603a1dade82f7fc9a98a6154ee580fa7b010dc4bc2e656e6505bf9e3682c23698d02829 SHA512 1149e413af3fea1756754fe7ce6a273b00f07918074e16576d25113408e9c5a99cebb7e3a5195ff8dda343b8249e90b2778186d103a88f117ca7a3ac50ffa968
+DIST firefox-91.0-ach.xpi 465289 BLAKE2B 5caa3a3103616976d61880b893e48c5d5e425b409702b8cbd327a1111e1e359fa0341894500351fe24cc73deb8e7228b009e36332642c12d3afa92f9bc79c76c SHA512 42ca4fa331f7a53171717831bc3309782f7cd91ff2a91a7d8169b04efa8896b200cb2937e4365f0413f74cac71c7c5a41085d4716beb9bf39b70f3f1993457c1
+DIST firefox-91.0-af.xpi 433157 BLAKE2B 054cf19dbe8bead4d2a88ad5e8a2c6ad21569af45a10be1dddf7d44b179017fcb5575fe26063740bdc59b6b411e5decf2658bdc266f6bcb642207abf543bd9e5 SHA512 a7d07c25cee103086992e106f1448d6a5f7b614755045e6cc8d7e165a289bc7675034dc85be171a3677739fb9d88c38b5f5cdec58f120a129a022369185f8492
+DIST firefox-91.0-an.xpi 511816 BLAKE2B 4ded8e0e43194412cd7641af85f238165a6b5a3d0d215ba913665efec8d172f940207320c75b4d38243d9a6a23d9ed9fbf01dd7ca78daf81dd7ebb480d34b396 SHA512 4edaa0cb4f24b0bf20be96f95fba5d9cacf29d47cd9f93b95c8a4314bae50901bdd4031277ac596a2a2b5077b52faccd21a73c4db1481c3501671f5c65c13922
+DIST firefox-91.0-ar.xpi 573966 BLAKE2B 0dca5dced622775462cd0a1995c2c533c0393b93755e3719780a90517d1936e044abef2bc9ae80896fad5db4333aca9649f6e0f7cdb2ee3fd8452e1e57629a4e SHA512 a8fe66283f9817e628443cacec970d817e169ec903e6cab8c360d65adaaefa86f5e511ca4336e02655c27d09f11af9bf02da0fd75c30b8f62ceefce807881aca
+DIST firefox-91.0-ast.xpi 502946 BLAKE2B 951da964221af2f004595b2ae73cea80dbd9e7941f9e3f1705c32e30eafcfd7a71d75531defe1ac04d2ae6e06f1b725dccdd85cb7b3f434fc1b8e6c02b6f1d49 SHA512 170a7f17a70671e7408454536549bb6075076edf322a1b269c2f63b89e52d8734c193aa3a5d853cbec7af45b4c944a298f55c37fa653fcb859411b89f4dfbf07
+DIST firefox-91.0-az.xpi 500890 BLAKE2B 635160c21c321ff882528882af81518a1c3201aa255b4099f7f388bd690160bec68706c9a533bd1e68b77b6ebc6c5898d09c2d1fb5d79aaa0ffeca43f8627714 SHA512 9fc084bb22205cce52c7e900729a781f516daa504a089f454e026c2f1e4bab57aaf66e467a2398a37bcd5b45c4eb17cb17073599ca2031a6fbd02b5139715f7f
+DIST firefox-91.0-be.xpi 630156 BLAKE2B 8134ec1b2f0a953c370f80f50d61141c8fda8f53cfadc717c6de7a15328952ff9c0d94b6a0b39497ead48892c24c34d615a085a3ac6c4488b6a278fd8af5db52 SHA512 78edc9ad3dba1938058ead00d24ea5c0a7fe566e42e42fdcb2c44dcc4dd05175b6660b375515e2261b9cd73f271b630db479b7dafa0566eaab083bfe4145da5b
+DIST firefox-91.0-bg.xpi 585083 BLAKE2B 4f9c2945e2d06d12d7ea87af65a3a17012f74bc1c2dcab36abff75cff295a7d1497a624d93fd17b5c8c94a776d6e0d47d9b0d66e7b6430ccfd285cd01ec96de8 SHA512 bef93bc67062febfbbcfe8e311de1f2f469a035b9a954d2cdd7af1c3c974fa49862636738b787c6ae75af0b300fc3318e31977fa080ffa44ae8f76e24c2b0108
+DIST firefox-91.0-bn.xpi 576492 BLAKE2B 5b5494475cc9b83c5648fcb947129e4d034783f5408449b4c24ea3800019fbe9351b67540783ed6e6a775059cebac645ae43de1e60a42917af2a7d3be631c3c1 SHA512 8a072652885a163ec0d52859222dc517d9c9781326e5c66749ed41cc53989a53924b55ef7c868f9181d603c5f99b342c8f88acd7fb8fcbdd50698fff85d78aef
+DIST firefox-91.0-br.xpi 534798 BLAKE2B ff332548e1d18b8542bbbc9b934b3c4bda2e98332781c2f2d7b340f2680bddf83267e91235b63b3f59d07865dc6c15fe07f17412ebd313ec1c9b4bf6750e2968 SHA512 cabfd979e9753c111af45cab45c588f760a948432c7ee0dd4b51f39084f86da9925494441ac8e28bb5983472ff594f1f00349a5ac3aa917a7cf125c3df0d04c4
+DIST firefox-91.0-bs.xpi 473109 BLAKE2B 3511606332aec32aba83e127fc720445cf93ccfe484131df1effed727daadddde779a987398d18f477745f07998c6cb81532c10c0853febba6b6af6ab55c5b6e SHA512 cef96b038b392241938d3c1b55ef28a589e900d4ce3f08b62ec16e0aa5944d7a5e91d10424707d48a65ccaf767d46da9945462d65432376b10582ae5b54c85ea
+DIST firefox-91.0-ca-valencia.xpi 543231 BLAKE2B d02783b71d9a22074cf2483c916220c73dc2a7c0d0488230dc034789a0564128cd91647922e1ce0486c57b27ac46f5d519b4718c8a78f3ef31b05558fa9d9377 SHA512 c0ba6960dcfb2242a1f37b5de636a2d4e503649db6660908b80ad9efce8e903acb46c59a7723e72a7f8656a0c443a8225166aff2a1ecc5fee56fcdfd92b31a59
+DIST firefox-91.0-ca.xpi 541002 BLAKE2B b6ff41c7f0a665bdc0ec5a31aa4bacb228967fd05ea3fe25afc3cca8b65be30bc3b9162102a881d897a9c72638ba73730a10bc119b0e4eb4eab04d4ddc033db4 SHA512 0e457a1e7740ecad698cdc3941aeef593e5418def7f75e56fb5ebd8a6159bcebbe573a32aa2058b367b1f2435dd7886f3440a041b2434b5da100acfb1a29b1f8
+DIST firefox-91.0-cak.xpi 568027 BLAKE2B 798700b46c0e9249d1a958b0d5cf112b9b59dbfa1d6d2e50c195ed158f7f1a8fa674b13407f43bfdaffc28955fdd621072802362ded7519a3c80a84a3f0bae20 SHA512 0d31367c46905f39e1ffe53833f4b23d6c4f31b6f0b6024a585573de234234a67f0b8ebdac47ea53e83bec5f36f82cf3330ee773903d00fead6b51b0990a55ff
+DIST firefox-91.0-cs.xpi 571502 BLAKE2B 9899c0b7694c4ecc90f791f7c1a4ebc5f5a39fd9ceaf2df537d00142cbd631225b7727a1b162939455f03c9fa7b2b815105cd57eb7afa9a95fbbfebc8e10726e SHA512 c0c118d39c2c52b674f1aff66c412cc9b4dfe44c93c46a0920e8dbb46458111c2bec977114438e505e157f38b8d5776af544542ef8eae589cfd0ed666e9fc3e8
+DIST firefox-91.0-cy.xpi 548299 BLAKE2B b7f2669ae8ddafbde2a47b41043e0ff003700475b2e52f58a6a7ff6287f76f8b369d420e814e383d16acec522883d90b35c1f283b7fa615337030eda2326f53c SHA512 b5cac20a52cce8c92d17982c2836ad6d13e7df1148d6d73ea9c89a8e59a734c24ee8748570badd23bbfdbaf1087a1f407305d7673cad19ab39f6e912a880d0a4
+DIST firefox-91.0-da.xpi 540526 BLAKE2B f636bfab26c458d19cf40dd923543bd6180ff41b0c2ec27d124cdb91c686c6def368f12622f226c6f452636a39ef1e61d767146ee4dab7e5c5239954b0da9d3c SHA512 23506c3ebaec29486543050bcbb4946b03f2a27b9d951c2702c785e5ad6bde34f16a4b676043a51d8addfb384d4c1c8fbccd7d49148627687fa27cb24551b197
+DIST firefox-91.0-de.xpi 560086 BLAKE2B ad0674c865a939b20272b919e941586806e6015dbfed780c75e39fdeff42e191b46cd245d433d3f4a76fb7472a2a10562747d15245b6c2d6c98cd0e3ab8b5b29 SHA512 13369fe4af14708d408f577980a98be9edba511e1fd18e5a5cb6b33a9ecb4837915853d76297b16276031ae24292510e83010bbc4c74706018c782d564e69991
+DIST firefox-91.0-dsb.xpi 572864 BLAKE2B 894cbca3eac24e94b3f0853ef274f4b7178d80825fb64db87b9be507a2ec195799e979a29be39a7a237ad953b779c0fb49981fbb3afc4359fe75e5ec5a0f1922 SHA512 d7d52841790252f97fb0f55e444d4e2d5dcb939497daebb7584444d4d69e606ab36074e022578579b125402a8a40146f0cbcf608e4ddb23860c70ecb1bdd8745
+DIST firefox-91.0-el.xpi 646570 BLAKE2B c293b47413c863655717c7534ca4d35f8ce8a10cedb9f7c62758303510710fbac2572baf700091f3b840ffe3f15592dae5b99ebbebc7afe84c3e85a50943fd35 SHA512 924e852a974cd095368413b6e70ff6fd77b9db4e8588cd6e3eb79224b16f2ac9d7bc67f8c81fc39b7b3fa000d29a5916f1e0623f57a01bb5dae8473b62e182d3
+DIST firefox-91.0-en-CA.xpi 515718 BLAKE2B cd987596e082ec2e7fb919b0891fde74e6e911e159e7aaecbd0c28da453e53fa0a5e224b1f43cc08e66c0babfd85778b69d76b914a6d3e97adb6ad5e74750658 SHA512 c7da5c36e8ff434db4065d2d8173c4cb6d367f72b28592d20919d30d361a4ec5eab8cb11da4ed214dba1daf820debeae99825f4ed958a4b674e94de019084307
+DIST firefox-91.0-en-GB.xpi 515983 BLAKE2B 74b6ba2a8e506bdad24c39c5a4eda6d146dae134f6acf76851d852a75537a667ca0312490ce2b5b113f66bb83921451518bdc8d85c682100454784c4203474ac SHA512 4bdbeec68aecf02a16963bffe80f2b7f63ff59fe3e9a12fd1ed18a9437447507ee5d8c54f53313f41dcc056cd66fe1d3a1a4091d631e45b960c1a2d141c2edfe
+DIST firefox-91.0-eo.xpi 542040 BLAKE2B 6706e2a3ac2524b4ca1f9616e28569e05ef6efcd0e88e7029da5206b1842593f206e9fb6202caab3ec4aba145ebf8152dcf0b33120d037fd4e1c95e7ae8199cb SHA512 ba5bd1c10bfc1846feced56e587bcfda9c2002f481b8b79bec1a5a501833d8f5fb2369701227da8e1b4f6518713bc7865c2b11bc62c97494c8a57e721cb3bf27
+DIST firefox-91.0-es-AR.xpi 553515 BLAKE2B f0da3acb9e615d76a6fdbdce625ba5bee2b346e2cfe827aef0d0e2a961be13019759adca530bc81ca8a9afe22083f3aa0a43c309f37869c7fee05a72f75edbc1 SHA512 930323c03bb7b610d1cfba677b6d23428ba675e6a1fa5365ea6bfac6a975e0f84537b07b5240628eb976a074738bb45abb46ed4ce9595159acc32fdf789fcd58
+DIST firefox-91.0-es-CL.xpi 552538 BLAKE2B cc9b6f067ab109423552477f93ffc219f0fc9bc45ed39ab6b4a03c997c47dec79dcf4e8f0fbc04dd961ec6c1159e099bd520a5d0f07f256ae806e6e5a4e53672 SHA512 99b42b5ec117f17b5a06b20ae4880f902dbd42fe05b5da6fd6ef734ee6720a10a9cd0993c4742e7bb6a03fb89d5695e4c0b35ec3375f5a87a952befc998a70c3
+DIST firefox-91.0-es-ES.xpi 542520 BLAKE2B 6037ac0d852618fb67ce12435bb789c31eb9565114f2c3f07395ab44f530aac2f5aab9c46b6fd499c10320012cd62c0299bd529181bf9432fcba6c3c1ed79e0d SHA512 8fd364d3ca28b0f7feddab8fac78c32c36868d3bfc05a8f986bf5c0c46dfc3e32435a1e129740014cd6af19717f14fdef32ba3688ccf79abd3b5fb3bda5f5d50
+DIST firefox-91.0-es-MX.xpi 556671 BLAKE2B 23950c4d58151a3c382dc7d2b5413cf584a25a27cce19d3cd827e8394742ef1f074a791dee5431ae2ec214cf0893ce62fe003e1aaf756989c6bdcf44ae0dc4ca SHA512 12584dcc7c7ef60ea27f0cc30b2b80fe86c29c54af36d05706cbacda15fa73e4b79ea5d3d39eab3b89a98eaf9d2d123505f73c5210c6014851d0e3706558c69f
+DIST firefox-91.0-et.xpi 494137 BLAKE2B b28f36710c19f400d2a42f3ab7fbcfad794a31a7dc2aa2ff60eab16f2664f31501145a65427900e0b3f2bef4a40f5ec62da8bd49f79325e7586e9788fa318caa SHA512 75e41f9accf57c8ee361df2391b49d3ff43159ccbfec48c9e67b9dae24012c7be78c525246b71ea78e7751f458746933f9212db7761e804556f9488c8c2e7531
+DIST firefox-91.0-eu.xpi 539054 BLAKE2B d2e88f54c308159ebc6d3da8256562b34d5b5bec6db0fc65c04a296f59bf388d5e6d82e798ac002c395114f17a0ad67142866e7cf1211e3eaef7a310de7e7ec3 SHA512 f35028251321707f2b4033f27fb4981bdf6f8ffed7ba3c616aae994c8767cb5681362b65df359133528223ef2e444f303cc3d0bf794a1d450a70a5ceb12db786
+DIST firefox-91.0-fa.xpi 561641 BLAKE2B acd8b361e2d2a4b3e18dfe7b997be1cfcdc30384012b370118e6684cbc13c0d7a4f30d7f13d370c1d3f235bfe701e830e8ce7bcffcad4fcb2ab4c513dbf3a27c SHA512 fd397bd20adc1bd89cf6ffa48186176e911a63258db7de1515de2af0f1b6a69d252a3e152c421a3ea7686a33f65e1a1e64bc5d33ba823453cd64037cee390e4c
+DIST firefox-91.0-ff.xpi 485698 BLAKE2B e4e30306a77a2c9d6540deab07f375b38c143d6c71678f032aed2c20967474eb9d822dbd63d128d4689329e6d3257d196f3165c239da111372321a1b5bc1b0f8 SHA512 9c4641708c37641311f11a93412d49dfb53809fbe349fb2fed6e4d05fe29734af1d6004f18344b40cdc3d3f72ea8106d6cb33029df38a75c9cc8d11d03d8069b
+DIST firefox-91.0-fi.xpi 539818 BLAKE2B 3a6ccea3fef665e9ccf1e58e23e7cc737499a0edf736d22f07b639f9b9c52478c18390fe7a8d4babbdc8fc06c613ea3c9d2ed10a84c63fdd1f4d333272816bf0 SHA512 043dc0af8f994de82f2ee6dd6ea944412ae0b30b2e2a1c22a5d78d065a406b35cf4d25a165996ee102b3017c9d2b310dd5c535ed5779237b70cc4d1a1885fc15
+DIST firefox-91.0-fr.xpi 564065 BLAKE2B 81f89f497651c117857e41992c37991128448a399df17add0ca93e225f1a2d1703e751cbad855da5110d2332b968403e3375e28e58452b3dbf2655214b6cc1c4 SHA512 e9b619f3a1f657d4bb05eae658d597243a5d0579db1c524637a16346f8c574d279484a79b23c691a2c04ba0b864cad64a055e13790b21fe9095a2e7e85d8bed6
+DIST firefox-91.0-fy-NL.xpi 549216 BLAKE2B 44dbcb8405a419a1a7826fb834dd7cdd2ebb75c2c979fccd978e4a8822714ea8b092834effd7a2801d8320934d5a64f3defa06560a03f658db89ca0f1dcb179f SHA512 543b769c0fcce6fb08892197e8e071bd34a6090a6909d02d1cd65d1d7245e8d307b534696985a3751efaf30b85b217aa2a6b23b3edcfb3d062afe232e7e75122
+DIST firefox-91.0-ga-IE.xpi 470708 BLAKE2B 33e16c7215da016ba38f650612758b53a4e90d441faf424d224501bcdbb27f57f69cc56dfba27da4015b364870fc7439718ea4da7b3ade860d18db8a06850651 SHA512 12ee445cf04d63206c00c472de89e0fcd289619e0e1267d43a552e831c17c6201f734f96dd179fc1ef196f3bc2029233bcab5f649f4f403bb27ac34dce8d30f2
+DIST firefox-91.0-gd.xpi 545681 BLAKE2B 70a801a71dbc71ba53a41a8d3f47ce053b67f076ccff55abcddcb00ea8fff6f5002c43542a1e5d1daa719605a542bce288bcaf3ae92bd9244c8de6efdf9b422c SHA512 b8ebbb02f6d253c763e86237c65acfdcd855678a195c6ab5160d89e696f69f3668048e082ca0002a509bb690eb9d4695195965dc734ff4377d793b615fa1710f
+DIST firefox-91.0-gl.xpi 548395 BLAKE2B 93b842d01c577fdfd551c9fa4ff0d4b4c2985fbe8bc07ff014b37e34845ebfdd32d1163149e1617e91432d5d5fc1d8a5096584cba16f2baaab7d0d77b02f248f SHA512 ff0f89c571da15a253ca312bf37073b47689c60b96c4f78742a7c7b2f5e580c33fb666dd93839e5990f1d9cc49a8ef58ac94d3b996b71374f5795548270b7632
+DIST firefox-91.0-gn.xpi 565280 BLAKE2B a39b3d17003e6f1217b2b251b21e49b91808d1c68b8632c035bc2ce6616b81219a90f539a95e148d59181a2ce40ac1564853b7eb24e6a24154e4eefe7dc9208f SHA512 63c0f6a80f0134c6541b684e24574684cad8d365a8fe4d30b46996ed2781fca9e24796def22f4a8bdf72360e080c2640c34a2bb1f02b55f802a6817a9c41ba7f
+DIST firefox-91.0-gu-IN.xpi 544528 BLAKE2B 73ce4f8b615affaf33ecf45b798d67f00aa034a467dd2d5edba1e5d97ff6dfe40de5bc13cfe6d6d1972704566459d71e3e789ce6237825c637477ca531505374 SHA512 c378380aba51d2c39b2fb074d6e5e810f7d20a5c4eccde237d880f9953dfa051e71808c9243b52adb4df1a8f80a3d35bfe96666d9822786c51d6113a25791f61
+DIST firefox-91.0-he.xpi 563141 BLAKE2B fcf2159b718fab7126a2b8cfe09cb0ba361f2138d872e3a55e81b10e30bf3349eb2988d3716569e4243bc7c0cfcbbfcef89ce60cbada0eec855a9a4e80cdf77f SHA512 9cf94c33e7fe9662237c750117601a868f6d4a65c9d7af8b67e5e03fa308c515e9b8be9fabaccbb9177c2cd55a08c1f1b94a60ef8556cac1287cab8486f3019a
+DIST firefox-91.0-hi-IN.xpi 575683 BLAKE2B 3dbca885603431e569d3e2e6db32a43da8642f832b0fcffe32928abacdc2af583d4c67095242fa7c67d912a8d53e76254c70496e51537acae7cf95be24f0205b SHA512 7e237c94a3ddb8be408a02e23251e9ed913686a6b649fbfa78fdeef3f7383e684e8636a71a61a7d5cdabd6cdfd4fdce2594ac57a552870ec51a42062bfe5bd44
+DIST firefox-91.0-hr.xpi 544093 BLAKE2B f5eda58802fed3f6b86f49d3a150df4cd8103cafd14b686435fcad064fea87cf98b70400bac75262beecafd4efe556bd1c3de72e5199212fe6e51b0ac72a1722 SHA512 42689ceb500dd877c861c0232664a4891c72eb000ecabfc7c1fcddad200913d5c70ddce30f2a1d17b0117e9ad75e4b12eb67d886c1ec21c81429eff6e52e53a6
+DIST firefox-91.0-hsb.xpi 568939 BLAKE2B c0efffd5ede68d6f77d92fe77f9efae9e95f8dfeaf7c178b71676d390ffd0f8c6f0f8d84a39abf5fe469b6452b578b81208ffff778b01ba56a90fedcebcc604b SHA512 8cbfecabdfc073f181a646cb63942b3933c555a553d6ff439bd7e7a32fca76495c999976e894074acbd3d1453a0e1360583813fccc65ed1c10332f77422720e3
+DIST firefox-91.0-hu.xpi 572762 BLAKE2B 527214a323d73161090256b10075ee4fcb70e23b8139c9199ef61fab56a38138b7ce905c1f02170aeeafc104d8de4a509a7bca78c3ea7be8e9cc20b4bcf8d565 SHA512 e12fc1a9def1b2fd2eef35f691b1e0b577d3116b08c45f2178b6b3be9ac6de5e60381f825e915cd4f88a686c39ff5b8b71710ecf433eed2a525aee0679b39132
+DIST firefox-91.0-hy-AM.xpi 599015 BLAKE2B 9483aaebb1da4e0f266948d03c6e37a3f046f8c4f983e412353bf5ee5eeeabce1e6600a1656f88375290b1bff218b3aca697f5b1b79c8fa45ea86f50f6cabac3 SHA512 a11ebb2f338352aca351b789a835db0222cbfeee6a053d21c66fc0203aa17a8280c9a7ab4b9519101259526e32f276305ce1364c3c40a49b1bdde10c96f22166
+DIST firefox-91.0-ia.xpi 538518 BLAKE2B abbdbc9dc6e443ddc5b13dd391a789641949a1ae366021ef26e8fd461bc11e8b49ea22ac5bf1658fb80792589f0ee6084e64cacc231678cef2cb36b5e83c4d2c SHA512 b06a9dbf2a7e3b23df9255d5a2760164e27494cf2c70d2b37747c25e7e9ae9ba9ecc961d290209c1cb9be0695b0785ca1f41a07568b24857d996ab430af1360c
+DIST firefox-91.0-id.xpi 533876 BLAKE2B b176f16b6dbbc9ae26ae172f5f6bbeaf8347964aa21da33916022e108b04daa0cc8701b7f3488c5074f59d47d4d87d397192a4fc75559c37462f7df580a24ba5 SHA512 a50be6a95d968befa539c568ed8c62fa6e96b8795faf8593afe24b54a4ccaf75ef71e283479793d2ca83892959f7145fb0fdff4043890b95c92ce74c2fa1885b
+DIST firefox-91.0-is.xpi 481332 BLAKE2B 4f20dcbf6673fbd03d91f384f36f6b6de5bf3f374d6121451917845cd4fb69394e88cda98ef83f9915954582f460bae6e0c0a9ff5549d22c6dbad02b02c4083d SHA512 6dc16097867d9d9744f1ce90e8df62c70f8d314299811caf1149758468ae274539754a1ac14f1a8ebaf08c801901f42589e61307959cd2d480a18e50069eed26
+DIST firefox-91.0-it.xpi 467045 BLAKE2B 475b1884e036d4606d9e4ea41dea6e8163f6e343469b83060b182026235b8ed2aa7295388621828653752c810787789d4c16fc15518507f4b54a0790526e2e59 SHA512 480500cab9415ec3f851e325d04c8e9fd90d9e19b84c04f0f66f2e12361151c70ea2fdf2ac7bbf0f219d6a2a9c25776b07f201cde624c9cf44811aa1fe65613f
+DIST firefox-91.0-ja.xpi 599317 BLAKE2B ef486f48c54e6d0f4cef51c8202dfc73072c7b860cdfbba785b25443c6737c71a73335fbb1baa516937c05a3b33098414c4adcdedd529226149466d9e9494b64 SHA512 6e3d9cb272764b53a62b7dff03cc944623be38d0fdc9b4aca91992d314e7befeddea42ab59d4aaf8a6a536531a027ade5e185c7e0557bbc955841cc257cc7fcf
+DIST firefox-91.0-ka.xpi 600143 BLAKE2B 7d0477d2aa144231546d917f31777a657a4c973acf3bccd9cc743394c0ca86634df8f4fa2bfb6a5fdc22cf9f67c95e44999df801cb2284d3f266872149bd7a43 SHA512 9a952a328f0cfe6b994ba293974fd3542cef2286dd4adf441e09c49ca236b4549785bea97890608d2cbcce32c217d6d6a81197d931d0e676b4c1023a5996fb75
+DIST firefox-91.0-kab.xpi 557817 BLAKE2B 1dd2a6d9d471a0fed234b7912e3266b4890d1954a4d9c0c39e7db28d949e0d0d3aaadde70aa4f74603f686735b738e1f31c0c05d2b764aa58693e1f4091cf756 SHA512 361d2082f6b815b02a61257161efd3ffdec63e259ac10f60f18ea5621112fbd7285434f1d8cfcce4859db6ce9c9ab78b3d2b28dc25ab144c49d5c4962781a027
+DIST firefox-91.0-kk.xpi 614347 BLAKE2B fa493a734850f1d15de1cca43b3f3ac219f03df23a349c52637646b37205e4d3549323b72094fb14fa3153f4a997eeb2d65e667271bedbe0ba58d7150a010948 SHA512 960284bd5cd82b0335eeb4c59acec2ed1cf3e2239d60329c746a99350f2a0748def8cfb6677cf6cd84fa3d96afafeddd7cd7c9e3eea1eb3017a0260af68472fd
+DIST firefox-91.0-km.xpi 544984 BLAKE2B 16b1f51f6815ed86ba2be8306e3c4701ac34170d9c9a4b44006517f9c143b47d051578f01788976ab9e0e98555b66cbbf94964c32542d0d26fe022ce5c59f25f SHA512 daf94d05f4557fa0a4c0592c047660d44a2570737d346e0b837913b2c23394098b940b8d41a6c50a49c20855cd848c391f99b8f99370885ccd5ba367dc3ba2d0
+DIST firefox-91.0-kn.xpi 508509 BLAKE2B f157df3345e91c4a0db8561b5036ac45523e449e60ce2f97cc46f637257053d5b999140d9ce9ae8d2e529b50394b7f6a875b8d913053f93872636cea6d437330 SHA512 148d10e63e3b8a04a4d524d4b079cfaee4e5bcdaeab30e1f0ecf0250b0dd22f94ee6ce0f312ba5268d6a47f4d298e70ccff8b0275d0a47431a8e0696b358e928
+DIST firefox-91.0-ko.xpi 584341 BLAKE2B cc307a9e2a59b6c5702a27334a4ba03ac3d1db17c217d781880bc071ff6e8608bd463cd6772f05ccf39e5d1c16bc0622da2f37349653e904535d37ea0638d6f8 SHA512 7c43611c2bb301fde4058be2013da705f4fce857bd5997686e8f8e5c8b23237b65ea3d7966b9713f9ee969976fe2a39f18b270b9301776aba1aa45554e7bca90
+DIST firefox-91.0-lij.xpi 481935 BLAKE2B b53684a60ca34ff8bad862cf24edf9f0d1da536693c3314fb50653a0dc6a337bb3da80d92033b60294f365a5235ac3247787dbc813265f6218299ad3760c7c6d SHA512 625bf884951645c2a4b271948cf19d9e03fd0d11682f7fdfa95efbca6a0a2a0434561df3136324577629d71ce68d48ee3cf8a249fb3f401268c196e317e8b88e
+DIST firefox-91.0-lt.xpi 567601 BLAKE2B ca2618e06647ff5a3541248d95b9b93c85f239669b75c5876bf539c0c07cb30a7923b0d3135a1417782bb3bb41b2e21688663db02abfdd9ef3c8cdfe6ed23cd5 SHA512 a7190f62eedd11625c9c1791865b463877c98bf73ac6ef3abd10a89daf85d4f966307ae04b525b761ca5c7b18c188075cbb858d4b8c8b2aa8ca871c249aef3f0
+DIST firefox-91.0-lv.xpi 473335 BLAKE2B 86097eb1233969278f691db92ecdf0d259208fc2709434f90e57a39157b75d7319b0e3fc0cd5cce534b31634e84a3fc96157d14390d829f63fc84b35d629237b SHA512 fcc238b564ce02773640222b3b8b9de44586440729f59a702437751b37c259a0d3613d3b6296cce1656f3d36ca097ea3534f26e43c040ae2e0decc2caf8cd5d6
+DIST firefox-91.0-mk.xpi 473482 BLAKE2B 5404c3c38aa07977d5b09d29ec6a0c396c08b4c706bb549a103f8c98603d8ca87c844faf82a0d40cde680c91528add2fed66081501f963d0069d2e477763b2c8 SHA512 92aa41a4acec82a0b466ae7ac57f339d0d68be8e1787107647fcc343b152f85319c2d7f15dbef3850e414a01492eeb869b733b4909ff47048e0a2c557824c7d0
+DIST firefox-91.0-mr.xpi 544857 BLAKE2B a071cb0b89fe4bb5fd9e17934ea6c81bcccf212e22d46886e71608417ddab17d6a50cf686226ca18d00d595d9a0fc01b26bd6d71f6b64c0a8de2787543691d76 SHA512 d62ffd4a68cfe3a79ea9d51bd257046e1d35318561c43bcafecbe5ced002113d9b747499d7875288c0c18f39c097dfbd563e58877985396aff023b5f66f3c75a
+DIST firefox-91.0-ms.xpi 457208 BLAKE2B 3262d30d2f35eb49ee6d0465669f6fa6aad3a39750af0b02f138a125cf0e4616aaa9387dcc3dd2bd1013a9d5d8845457f45737482cb4c414bf13aa60a9aaff1d SHA512 4a388951a188451f0eb8f6d2bb18cb7e082c0842d441781fb0fe22b22b5f3322ba3eff7e55834e7a62464d8b06c6d760fb0d2ad81d46cd38360579ba4f4173d5
+DIST firefox-91.0-my.xpi 530139 BLAKE2B b62a2cb6f9c1398d0b6b8e15ed6cb3ab332b2a12b016402eb27bccc83507a4b425ab72f448c3c6ab75b23e290116cb8b47071e6aa739786982011846a32c29bf SHA512 78f965a40ea515a6e6f1ca2af88cf8609c04210d7471524c64a2d359634668b091a06d2280c3376babb59b767cfe2b6bd63d429dba45781aa6640d890f8d3e8b
+DIST firefox-91.0-nb-NO.xpi 534995 BLAKE2B 9e7118327229f119913e8ed956bc97d9f55665e46d5233a48404428ecb2c4ecd8c289dc6883ec6e12c0a1298a25803d14515394bb1349a1b47277bf0def19a22 SHA512 b05e123b56d9f01e35c47dc74366d7580fc2535b80856407b91ef222f75eff944348588667446b59f962f2c35cceb03c72398d6c55a89deda857fc4d7fb607b8
+DIST firefox-91.0-ne-NP.xpi 486180 BLAKE2B 056bc4ddb87578f7e8608848fe2bffcfe949d1ce31cb7a037fe8e3abe6213e3593aabdd067cd196920f4dcdddf1985cf78acc5f1c737f9e1b2fdef5b28f76d4f SHA512 60c0468a0cfe5bbcaad0a6d7b91f9df7879ef8603a469f83504b464ac1356be28fe0b16e2ad81939f79455a608c7f54ffa3136e6d8bd7e73d4c96572857c7c67
+DIST firefox-91.0-nl.xpi 543377 BLAKE2B 2814dd33998f8b200e1b6104a223dde198ec710313c29253c3f00f8e1308b940dd9d82a7c1ce8a9df46f4539993f5eb2f61909de34af66b06bb105efb4aa6d22 SHA512 5c06170f33e0f73d3d87c9bee1803fcb69e89b7e258b5f003b7a45365db8511fbf2088b515224d2197c0cf16e2eeac9198b9cc3b2fc80bb9ec3bcad785d11d57
+DIST firefox-91.0-nn-NO.xpi 537549 BLAKE2B 1024e59210b1f6ecb7bd4f9087b1100ada72527bec9243ec1f4ff7e9b79a647e52e86e926c1d87a96d40854a983ec91eb8ba1ec3b8ab152bc4a4174e23cad8b2 SHA512 9f8f0729977b4c0ce78f4c4ab0561b665743d003c66c4d7af1da81cff2d1e1ec1164f97a8342e6000ec552f162bd1a75634a5298a90b9d5231f08405245a07ae
+DIST firefox-91.0-oc.xpi 559030 BLAKE2B 9bfe51ea062bed0af912c899983ad903634e0072afda8746d6b50f15c96c0544a0f6087ad1e90474e4b46759795893f016c8e25636cd75fe45f9b695db244274 SHA512 1cbe98fa36343932f06b36464b4fb4d59cf1cd85f42ec1eeba8ba0ac5c55f870a1929c65e001efcd609a7d274615ba5508512326743ab29c28322a1c13dc9b22
+DIST firefox-91.0-pa-IN.xpi 605084 BLAKE2B 4df145130801eae8f102bc97d13cf7a5401fa742d437092b29ceba218055539d7f7d7a42d6dd303c4ef8f138ff2c093b4a8767dc3a3ddd36b44b2d5e71341821 SHA512 302e58a8e055c46a02e9126033c0f2971e59f6909d33b6e0fdc44b95937ad51db8147b181e4a13d62aef075f0776f9a8059fcbd3ab70625a14a6420b261eae35
+DIST firefox-91.0-pl.xpi 562847 BLAKE2B b493355e4b22e81eda20001abf25b2faf72933a39849188dd7ddf033bb42dd95a45bb59834ccccf841e417e8b6454eacd5ddd27aabeec5df446674356b1ae601 SHA512 183b78b428e5fdab7136bf0650c41564efc813f12fea9b0b2de43a81a0f18e79c7b667be9aac8907a0ccffcdec13a4043ca61691ff658c99c47e23c46b1b0146
+DIST firefox-91.0-pt-BR.xpi 549008 BLAKE2B dc488c58d6a9aeb7cd01d0ffb6b8091749bb043e87a3a85f6606658c5e7aeb0c1d31fb98d01ddff6dabf5eb170e779538ef953b4a90a580023bea38e9d8bdaa4 SHA512 fa560ec92e6efc682f7ba53112a5459199d2f49f6a5532c8f4b98473ed1fc7345da57acfb44c81aa2d887be0aa9c3feab920957eef643d5bbe4a3e2e1b9bc379
+DIST firefox-91.0-pt-PT.xpi 552660 BLAKE2B 585bf88ac927ca885aabcff8a4f1ebe7dd5081cbcbcde45615f2aa3bc0046090ecae14edf4d20198d3741bd25a317c265072455036cfa026515313db07a13a7b SHA512 44aba25a7169225c9b6f49bbe75a49033db25a801214ce113c01cb23bef48b0676e7e16abbbbb85509c8895b55d18fee4fe9923723b97819bbacfdc25e328bd5
+DIST firefox-91.0-rm.xpi 543750 BLAKE2B dd52ee4014a32fd0139ef9c9ce6a52da5e73a005ddd9daf33ab08f2e5c4ee2de4bd3839d6ed18f35211eaf8d7be48fce9ca12d8428e69297f6aaceabc9cd1123 SHA512 340936ac955f88dba046810cb98faf97f2fd1e82fe29320bb423cff9cdaa14a56cc8b301161e73a3d6fdc799910ba0629ec440c60f2fb49b4fc162711f3923a1
+DIST firefox-91.0-ro.xpi 544861 BLAKE2B df223fa4cf02cdf9b10a318059a20af93587051b405b5564425392d9021a28eef55bac3960f9c8030fe791801918840d8a53f4f01fe410399c6d7c181750d8fb SHA512 b00c3c77238d6b6d20811fedbafc3261e69569c305894b9ef79887741bc4b922f7b4847752658e989a0c04393b73d99a52b0dbbf4c0a50ff33af0710dbf1422d
+DIST firefox-91.0-ru.xpi 635030 BLAKE2B a2e492f36079e46997228a3be1dc7c26a2128d97fde32b6119bacbc389885a197c28a7fabfd28e554dff753da3d6986d716782e8728129dbd8de31638947a6c0 SHA512 affdd9b7c04cfd358fe59978a18796d84f6488df4f16e6ccaab6b30a478a34f34fc50c9a0b84fdd44b7bf356e0b7b4a644944e7b7c6356c72d2a7901cbea34a6
+DIST firefox-91.0-si.xpi 496839 BLAKE2B aa1615830c25f27756d4742ca97da6cd752918894ad19570c03b9d18c1372f301cc4e0b5b0cbc0ba85d8f94d63dc9b0e8d4473a7efd982c021e238d929d5a5ec SHA512 60f2b66781bf1584bd5d28fe92689bf9a7c3d8b5fcecc4867ad794e109d440d099654d47baac38e030f6d24bb8be68c43b0db28e1ea35f6bf5eb48809d226990
+DIST firefox-91.0-sk.xpi 572081 BLAKE2B 5e872b8e610d44e05474c9b60e00dbf38262cfc17dc56c57b3608af616efff65f0b15c86e3ed3dcca0e9ff3de9e1575408651fe0867c65058765f68f441f6b58 SHA512 79789c47680a6f34113845add7cf8470124ab5dcdd171dea6dfdff2a8a114ea133d660be68f3551709a723feac1566635179cab48f11ba8fcfee6811a4316db3
+DIST firefox-91.0-sl.xpi 542775 BLAKE2B a0c8f588a1ecf684b5da0d592ea174dccdd471c70f7712e3d06d3190a36063bab2c42ca543fc42d24bdc7b2cc30e76a1c2fbbc2bf158ffe510f5ff2b16c3132b SHA512 37df4cf7c8cb1c7e09e0c95bd514f51979c595d2c65a36615d9a645cc31df5fbe18de2f16bac04cd0b7a479165610905968ae3ce8513f889272becea52ae90e9
+DIST firefox-91.0-son.xpi 432944 BLAKE2B e2a6a2b2e1046659f40b0e8dc85b99d2d19e19ae0670c87ebb5f60c0d799eca264912ef9be0c1125fa33f172e340f9243eddc64121858babb54cb87e3a6e5fb0 SHA512 03156f7974e940be06e2ebeb9715131009bb3d6fd2d39393e5b08c43b7a77ffa2f26bc93cd76639f3e33168adb2d6f7ed34cd57a9d8079f355a162dcad926a81
+DIST firefox-91.0-sq.xpi 562217 BLAKE2B 118e5f4f8fe7642183bbf71c1e5cfa874b923b85e9db4d429f0d5338434e9712bd6b4072f19f77c56213f81b992f3bd5b53dc63cd9c4ff5131c3c85ddf4cbfe7 SHA512 2257a1f266c8045d0323154a5d9e4cb3bd5ff2de5895871df422124fff0422aa23b4c69271301daf2f62c6dca4143c68c906188e65965a15c446e49a7db0f256
+DIST firefox-91.0-sr.xpi 596023 BLAKE2B 1cd0a25c8c549ffa2364aee8fec38adab4fd954c6c2fef55a1be2637af9a3d7385d26d346b2ef86d6e2cd72121ad44d9cec9c0675f52632231ad30ce154344fd SHA512 1736e357869d10fa43a2224242827525831bfbd663690727b2cc1df93d15429afd1f81efd73a0ef2d0ac9b278467cce6c0b60671538cf87b464ff1022302a039
+DIST firefox-91.0-sv-SE.xpi 546381 BLAKE2B 4cf1e08885cefd27ef193be88953202e9657ac88a79972d6ce7cca6ec375e738673074b5de364965e51c589a674b2f16674cb0e44879b37192652a75c97db2d4 SHA512 b42fe4ce6f43282235e5966578d227c75d36ca34358fa968a38b4b77cfef862f732a5e2740553808d3abdf666413740fe2bd5ed1490cac71273ff8f849cba235
+DIST firefox-91.0-szl.xpi 522367 BLAKE2B 053749a0877aafa4199765ffc28faa5dc589000b43729df663541189bfeac9886728001f8bdad57ab7303582886abd5dce0ee04c10ff8aaec976156f591fa8a4 SHA512 0c8a3c0a9ea5d7265404fff4da03cd3ae02ab4399695c632f39169d67cbbc3fc623a645a8076139a6010c15d131351eb23673306fe387e69660b8f021e34b17a
+DIST firefox-91.0-ta.xpi 523938 BLAKE2B 84d2fe504c115eae4d9eebcaa7f5aa30a5dd0da73a178fcfbd0a6806d48454db7edb3f73e5a7740450043548fa8ac951b90307ec95565e14f91a3e3eadfdcd1c SHA512 dfbb51e925b77663d69e07c122a96eb15b7dcc9a0d9f8210cb7568dfe491cda8b7a42f8bfca20d3edad30228ef23b697b115cafd7d7df92b4b5cd149fd1a4d75
+DIST firefox-91.0-te.xpi 564760 BLAKE2B c1bdcdb64f2519074b3204c7a37815ce3022af8aaf042e49eef3a60f51c9acdb65ac0ee769127284a26b9faf85d02ab8693cf508b4bb94eade46b1b02162e44f SHA512 655bbc6e1fd8a87a596d230a0a680da43db7e86270af93e7947dd7cc32fa6cfc1d0c6d4f4a24fbb1c0f27bd6ee8cf9230262fe59a1908badc54fca071aa6e1e2
+DIST firefox-91.0-th.xpi 614160 BLAKE2B c8b4524f2d81908f32f0815775e6f6145738384ee8ed9a51557a9d5baed533572484b77a07129c70f863d5ccf2d6b9df0f7944b95ce63c8bf4f8b71b228b33a3 SHA512 76c7613d8779a0197159c6bdba0c311fad3ea624b4de944e2d0fd25e03e9385145c2097b80ffe37452a0509b780c35b27e1ccd73e87ef26398e03db56d62d18e
+DIST firefox-91.0-tl.xpi 531314 BLAKE2B 0b4f982c9b7ecf422da6c3dd14d8a92b01000b61ad0c643f7268ed39635459f9ad4aaa489484d986908d32fad5d15758c3054d6ef8b5901f087f93b2f76938bc SHA512 3df710d6fdf2ebcf20e4012055e109564e5c7b44257f8183fdbb39f0a49f2a165904f16a3e199aa5fc68c516a14e18d34806537e9c9c024b563e01e3bf8f3798
+DIST firefox-91.0-tr.xpi 558465 BLAKE2B eecb412388348299dad551aa0b154427a8033a3a72bbf0a5213125f215062e0e3f2a1e166da6eab33b024668d7fff20f15cdedce7230acb1a88cc34f5e5bbd32 SHA512 aff6632794bed53331b459a4e860547dc24433abdb2e3ffa1c20356fe2c811b0d617814c49f3e50f204c38a74503f38e6a9db02344693c7818f5b36d38dcf4fb
+DIST firefox-91.0-trs.xpi 503654 BLAKE2B bcc134641064241e938dc54de465438e28ee02b9fd14a704d6ef34b4c57842667ccb8b98a957383e797c7f9bd37750b4b0ef0993ae371c1ea050f263a29f8b2c SHA512 a2fdd43966650398273f02e0296078ceb478b90ed48f3531525e63918a607627e5651c81dcf338c29c8b0fc825f8fdef70994f2377513e0f04ff66a42174367e
+DIST firefox-91.0-uk.xpi 628573 BLAKE2B 5c5fa5b70ecc57bcb3d2871525ccffb85d6f50d526305674292e687b4cd3fbb8fbbd75f31604e43b36e011231f508d6c4cbabd281f4d0743bc253f392f755aaa SHA512 e9ab80fc640986d309fa0e938279ddba8498493bd4a779516f60e5acef62e5776fa98a802b6b68a065b57f10ae3525821191bdc73c9a674ef670d22a0de04731
+DIST firefox-91.0-ur.xpi 572682 BLAKE2B 59813662712c2a4d237ce0c8b623240fe8d19576d77eef0489655bfce728296fd6cb13a92525358a18339f54d0a97cdd4a3ddbc21a7180e8213a3ebe96b6fb58 SHA512 10a062fca9ef824159a8ad40ac111ff4d9d87cd7a5de7f2a9342159b5a2ca6adfe076940a94f58a6fb0e6d099a12c45a8c3fd2ae4d88f8f503ccee78a588a220
+DIST firefox-91.0-uz.xpi 480952 BLAKE2B 9c81c2b7e32ebfce449c44e19b823d5536c1ec08b34b6db304c639f90cb180e3a697dc1883fe173952f5ef08253c533f4fb7a00e780d033320275310f65195e5 SHA512 4533906fe6854abc703639a9260f262a1a4a53a13e90ebb8916a8a52998935102b8be2b7d04d2176d47b3efef6960f31dc860c0aa6dd727ac26d70fb2f3e31e8
+DIST firefox-91.0-vi.xpi 580502 BLAKE2B 7c6886328396a24e164fdd9fe8d61a012c09dc1cdeb26c858b16e73acce75e8bd542017c620d25f8f111b6decf36db02588b62b653a112eb7d9f4c00887a9103 SHA512 83d85d88605f20180f3d9c70e215345d5e74e4100faf589a2934d4eaf6d46b15ab5139a8bacbfa7373fa45d9bac77cd111793420c725c1a67cd5da2babfaf0cc
+DIST firefox-91.0-xh.xpi 435046 BLAKE2B 39d8bbf73f7360899ff2e3e17ea76aa23096b090d1941c69df45b58e4ccd32ea44fb8ac6f7bc73e7ca61871aca9f94f2b815a5484c3e46adaae36afe02ae82fb SHA512 68ea88ed0116d662f08f7ce581cd3f14d3685e7a41b1fc0cf104204f09750e5b1b6e3f7884385498888b419091b991907f2fe159465e00313dcc4e69511b9a4d
+DIST firefox-91.0-zh-CN.xpi 581935 BLAKE2B 346ca8b1d7d99c31544e58e679988f0b53277c0d59dcc6be642a5fac863c1691c1e1ec66b815f7644383b907d04eb3481c850d0c5919dbabd159475cce1de831 SHA512 0456290e208fa190ea6e0a9f07a86c0ddbfbbfbcda7fe5c2d292bc6718de38838b30ad9412b8d26e57f56d7d42be76122a6d6b409d0c2ee298f738bbe3b98d4c
+DIST firefox-91.0-zh-TW.xpi 582117 BLAKE2B 0f39cab747215ec9ab3e3da043e8650ab654f5dcaf8c26e7f96b373f6fa101a7c8960f3873fb5cadaae879170dcf27d67d06791b7e25732964c3f5f830e7e137 SHA512 5e504c968fae303241b8ba475f030fd228d19deeb54df80520e32dfd005b626dc6fcc4dfc4c906d614b8e747094d474734d0a9c47baabd5121271f8063df4985
+DIST firefox-91.0.source.tar.xz 380788436 BLAKE2B 14cbe36c19b9dc64d3903994681bc42f2fbca30b97413088155620ec2a93433898bb1d247b55701bda61c4144cb8f1e460f6c2d5d5cdb57081a760f291c1a0d4 SHA512 a02486a3996570e0cc815e92c98890bca1d27ce0018c2ee3d4bff9a6e54dbc8f5926fea8b5864f208e15389d631685b2add1e4e9e51146e40224d16d5c02f730
diff --git a/www-client/firefox/files/firefox-r1.sh b/www-client/firefox/files/firefox-r1.sh
new file mode 100644
index 00000000000..853a4efacdf
--- /dev/null
+++ b/www-client/firefox/files/firefox-r1.sh
@@ -0,0 +1,116 @@
+#!/bin/bash
+
+##
+## Usage:
+##
+## $ firefox
+##
+## This script is meant to run Mozilla Firefox in Gentoo.
+
+cmdname=$(basename "$0")
+
+##
+## Variables
+##
+MOZ_ARCH=$(uname -m)
+case ${MOZ_ARCH} in
+ x86_64|s390x|sparc64)
+ MOZ_LIB_DIR="@PREFIX@/lib64"
+ SECONDARY_LIB_DIR="@PREFIX@/lib"
+ ;;
+ *)
+ MOZ_LIB_DIR="@PREFIX@/lib"
+ SECONDARY_LIB_DIR="@PREFIX@/lib64"
+ ;;
+esac
+
+MOZ_FIREFOX_FILE="firefox"
+
+if [[ ! -r ${MOZ_LIB_DIR}/firefox/${MOZ_FIREFOX_FILE} ]]; then
+ if [[ ! -r ${SECONDARY_LIB_DIR}/firefox/${MOZ_FIREFOX_FILE} ]]; then
+ echo "Error: ${MOZ_LIB_DIR}/firefox/${MOZ_FIREFOX_FILE} not found" >&2
+ if [[ -d ${SECONDARY_LIB_DIR} ]]; then
+ echo " ${SECONDARY_LIB_DIR}/firefox/${MOZ_FIREFOX_FILE} not found" >&2
+ fi
+ exit 1
+ fi
+ MOZ_LIB_DIR="${SECONDARY_LIB_DIR}"
+fi
+MOZILLA_FIVE_HOME="${MOZ_LIB_DIR}/firefox"
+MOZ_EXTENSIONS_PROFILE_DIR="${HOME}/.mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}"
+MOZ_PROGRAM="${MOZILLA_FIVE_HOME}/${MOZ_FIREFOX_FILE}"
+
+##
+## Enable Wayland backend?
+##
+if @DEFAULT_WAYLAND@ && [[ -z ${MOZ_DISABLE_WAYLAND} ]]; then
+ if [[ -n "${WAYLAND_DISPLAY}" ]]; then
+ export MOZ_ENABLE_WAYLAND=1
+ fi
+fi
+
+##
+## Use D-Bus remote exclusively when there's Wayland display.
+##
+if [[ -n "${WAYLAND_DISPLAY}" ]]; then
+ export MOZ_DBUS_REMOTE=1
+fi
+
+##
+## Make sure that we set the plugin path
+##
+MOZ_PLUGIN_DIR="plugins"
+
+if [[ -n "${MOZ_PLUGIN_PATH}" ]]; then
+ MOZ_PLUGIN_PATH=${MOZ_PLUGIN_PATH}:${MOZ_LIB_DIR}/mozilla/${MOZ_PLUGIN_DIR}
+else
+ MOZ_PLUGIN_PATH=${MOZ_LIB_DIR}/mozilla/${MOZ_PLUGIN_DIR}
+fi
+
+if [[ -d "${SECONDARY_LIB_DIR}/mozilla/${MOZ_PLUGIN_DIR}" ]]; then
+ MOZ_PLUGIN_PATH=${MOZ_PLUGIN_PATH}:${SECONDARY_LIB_DIR}/mozilla/${MOZ_PLUGIN_DIR}
+fi
+
+export MOZ_PLUGIN_PATH
+
+##
+## Set MOZ_APP_LAUNCHER for gnome-session
+##
+export MOZ_APP_LAUNCHER="@PREFIX@/bin/${cmdname}"
+
+##
+## Disable the GNOME crash dialog, Mozilla has its own
+##
+if [[ "${XDG_CURRENT_DESKTOP}" == "GNOME" ]]; then
+ GNOME_DISABLE_CRASH_DIALOG=1
+ export GNOME_DISABLE_CRASH_DIALOG
+fi
+
+##
+## Enable Xinput2 (#617344)
+##
+
+# respect user settings
+MOZ_USE_XINPUT2=${MOZ_USE_XINPUT2:-auto}
+
+if [[ ${MOZ_USE_XINPUT2} == auto && -n ${WAYLAND_DISPLAY} ]]; then
+ # enabling XINPUT2 should be safe for all wayland users
+ MOZ_USE_XINPUT2=1
+elif [[ ${MOZ_USE_XINPUT2} == auto && ${XDG_CURRENT_DESKTOP^^} == KDE ]]; then
+ # XINPUT2 is known to cause problems for KWin users
+ MOZ_USE_XINPUT2=0
+elif [[ ${MOZ_USE_XINPUT2} == auto && ${XDG_CURRENT_DESKTOP^^} == LXQT ]]; then
+ # LXQt uses KWin
+ MOZ_USE_XINPUT2=0
+elif [[ ${MOZ_USE_XINPUT2} == auto ]]; then
+ # should work on Mate, Xfce, FluxBox, OpenBox and all the others ...
+ MOZ_USE_XINPUT2=1
+fi
+
+[[ ${MOZ_USE_XINPUT2} != 0 ]] && export MOZ_USE_XINPUT2=${MOZ_USE_XINPUT2}
+
+# Don't throw "old profile" dialog box.
+export MOZ_ALLOW_DOWNGRADE=1
+
+# Run the browser
+exec ${MOZ_PROGRAM} "${@}"
diff --git a/www-client/firefox/firefox-91.0.ebuild b/www-client/firefox/firefox-91.0.ebuild
new file mode 100644
index 00000000000..fb09d71fe9f
--- /dev/null
+++ b/www-client/firefox/firefox-91.0.ebuild
@@ -0,0 +1,1148 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+FIREFOX_PATCHSET="firefox-91-patches-01.tar.xz"
+
+LLVM_MAX_SLOT=12
+
+PYTHON_COMPAT=( python3_{7..9} )
+PYTHON_REQ_USE="ncurses,sqlite,ssl"
+
+WANT_AUTOCONF="2.1"
+
+VIRTUALX_REQUIRED="pgo"
+
+MOZ_ESR=
+
+MOZ_PV=${PV}
+MOZ_PV_SUFFIX=
+if [[ ${PV} =~ (_(alpha|beta|rc).*)$ ]] ; then
+ MOZ_PV_SUFFIX=${BASH_REMATCH[1]}
+
+ # Convert the ebuild version to the upstream Mozilla version
+ MOZ_PV="${MOZ_PV/_alpha/a}" # Handle alpha for SRC_URI
+ MOZ_PV="${MOZ_PV/_beta/b}" # Handle beta for SRC_URI
+ MOZ_PV="${MOZ_PV%%_rc*}" # Handle rc for SRC_URI
+fi
+
+if [[ -n ${MOZ_ESR} ]] ; then
+ # ESR releases have slightly different version numbers
+ MOZ_PV="${MOZ_PV}esr"
+fi
+
+MOZ_PN="${PN%-bin}"
+MOZ_P="${MOZ_PN}-${MOZ_PV}"
+MOZ_PV_DISTFILES="${MOZ_PV}${MOZ_PV_SUFFIX}"
+MOZ_P_DISTFILES="${MOZ_PN}-${MOZ_PV_DISTFILES}"
+
+inherit autotools check-reqs desktop flag-o-matic gnome2-utils linux-info \
+ llvm multiprocessing pax-utils python-any-r1 toolchain-funcs \
+ virtualx xdg
+
+MOZ_SRC_BASE_URI="https://archive.mozilla.org/pub/${MOZ_PN}/releases/${MOZ_PV}"
+
+if [[ ${PV} == *_rc* ]] ; then
+ MOZ_SRC_BASE_URI="https://archive.mozilla.org/pub/${MOZ_PN}/candidates/${MOZ_PV}-candidates/build${PV##*_rc}"
+fi
+
+PATCH_URIS=(
+ https://dev.gentoo.org/~{axs,polynomial-c,whissi}/mozilla/patchsets/${FIREFOX_PATCHSET}
+)
+
+SRC_URI="${MOZ_SRC_BASE_URI}/source/${MOZ_P}.source.tar.xz -> ${MOZ_P_DISTFILES}.source.tar.xz
+ ${PATCH_URIS[@]}"
+
+DESCRIPTION="Firefox Web Browser"
+HOMEPAGE="https://www.mozilla.com/firefox"
+
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+
+SLOT="0/$(ver_cut 1)"
+LICENSE="MPL-2.0 GPL-2 LGPL-2.1"
+IUSE="+clang cpu_flags_arm_neon dbus debug eme-free geckodriver +gmp-autoupdate
+ hardened hwaccel jack lto +openh264 pgo pulseaudio screencast sndio selinux
+ +system-av1 +system-harfbuzz +system-icu +system-jpeg +system-libevent
+ +system-libvpx +system-webp wayland wifi"
+
+REQUIRED_USE="debug? ( !system-av1 )
+ screencast? ( wayland )"
+
+BDEPEND="${PYTHON_DEPS}
+ app-arch/unzip
+ app-arch/zip
+ >=dev-util/cbindgen-0.19.0
+ >=net-libs/nodejs-10.23.1
+ virtual/pkgconfig
+ >=virtual/rust-1.51.0
+ || (
+ (
+ sys-devel/clang:12
+ sys-devel/llvm:12
+ clang? (
+ =sys-devel/lld-12*
+ pgo? ( =sys-libs/compiler-rt-sanitizers-12*[profile] )
+ )
+ )
+ (
+ sys-devel/clang:11
+ sys-devel/llvm:11
+ clang? (
+ =sys-devel/lld-11*
+ pgo? ( =sys-libs/compiler-rt-sanitizers-11*[profile] )
+ )
+ )
+ (
+ sys-devel/clang:10
+ sys-devel/llvm:10
+ clang? (
+ =sys-devel/lld-10*
+ pgo? ( =sys-libs/compiler-rt-sanitizers-10*[profile] )
+ )
+ )
+ )
+ amd64? ( >=dev-lang/nasm-2.13 )
+ x86? ( >=dev-lang/nasm-2.13 )"
+
+CDEPEND="
+ >=dev-libs/nss-3.68
+ >=dev-libs/nspr-4.32
+ dev-libs/atk
+ dev-libs/expat
+ >=x11-libs/cairo-1.10[X]
+ >=x11-libs/gtk+-3.4.0:3[X]
+ x11-libs/gdk-pixbuf
+ >=x11-libs/pango-1.22.0
+ >=media-libs/libpng-1.6.35:0=[apng]
+ >=media-libs/mesa-10.2:*
+ media-libs/fontconfig
+ >=media-libs/freetype-2.4.10
+ kernel_linux? ( !pulseaudio? ( media-libs/alsa-lib ) )
+ virtual/freedesktop-icon-theme
+ >=x11-libs/pixman-0.19.2
+ >=dev-libs/glib-2.26:2
+ >=sys-libs/zlib-1.2.3
+ >=dev-libs/libffi-3.0.10:=
+ media-video/ffmpeg
+ x11-libs/libX11
+ x11-libs/libXcomposite
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXrender
+ x11-libs/libXt
+ dbus? (
+ sys-apps/dbus
+ dev-libs/dbus-glib
+ )
+ screencast? ( media-video/pipewire:0/0.3 )
+ system-av1? (
+ >=media-libs/dav1d-0.8.1:=
+ >=media-libs/libaom-1.0.0:=
+ )
+ system-harfbuzz? (
+ >=media-libs/harfbuzz-2.8.1:0=
+ >=media-gfx/graphite2-1.3.13
+ )
+ system-icu? ( >=dev-libs/icu-67.1:= )
+ system-jpeg? ( >=media-libs/libjpeg-turbo-1.2.1 )
+ system-libevent? ( >=dev-libs/libevent-2.0:0=[threads] )
+ system-libvpx? ( >=media-libs/libvpx-1.8.2:0=[postproc] )
+ system-webp? ( >=media-libs/libwebp-1.1.0:0= )
+ wifi? (
+ kernel_linux? (
+ sys-apps/dbus
+ dev-libs/dbus-glib
+ net-misc/networkmanager
+ )
+ )
+ jack? ( virtual/jack )
+ selinux? ( sec-policy/selinux-mozilla )
+ sndio? ( media-sound/sndio )"
+
+RDEPEND="${CDEPEND}
+ jack? ( virtual/jack )
+ openh264? ( media-libs/openh264:*[plugin] )
+ pulseaudio? (
+ || (
+ media-sound/pulseaudio
+ >=media-sound/apulse-0.1.12-r4
+ )
+ )
+ selinux? ( sec-policy/selinux-mozilla )"
+
+DEPEND="${CDEPEND}
+ pulseaudio? (
+ || (
+ media-sound/pulseaudio
+ >=media-sound/apulse-0.1.12-r4[sdk]
+ )
+ )
+ wayland? ( >=x11-libs/gtk+-3.11:3[wayland] )
+ amd64? ( virtual/opengl )
+ x86? ( virtual/opengl )"
+
+S="${WORKDIR}/${PN}-${PV%_*}"
+
+# Allow MOZ_GMP_PLUGIN_LIST to be set in an eclass or
+# overridden in the enviromnent (advanced hackers only)
+if [[ -z "${MOZ_GMP_PLUGIN_LIST+set}" ]] ; then
+ MOZ_GMP_PLUGIN_LIST=( gmp-gmpopenh264 gmp-widevinecdm )
+fi
+
+llvm_check_deps() {
+ if ! has_version -b "sys-devel/clang:${LLVM_SLOT}" ; then
+ einfo "sys-devel/clang:${LLVM_SLOT} is missing! Cannot use LLVM slot ${LLVM_SLOT} ..." >&2
+ return 1
+ fi
+
+ if use clang ; then
+ if ! has_version -b "=sys-devel/lld-${LLVM_SLOT}*" ; then
+ einfo "=sys-devel/lld-${LLVM_SLOT}* is missing! Cannot use LLVM slot ${LLVM_SLOT} ..." >&2
+ return 1
+ fi
+
+ if use pgo ; then
+ if ! has_version -b "=sys-libs/compiler-rt-sanitizers-${LLVM_SLOT}*" ; then
+ einfo "=sys-libs/compiler-rt-sanitizers-${LLVM_SLOT}* is missing! Cannot use LLVM slot ${LLVM_SLOT} ..." >&2
+ return 1
+ fi
+ fi
+ fi
+
+ einfo "Using LLVM slot ${LLVM_SLOT} to build" >&2
+}
+
+MOZ_LANGS=(
+ ach af an ar ast az be bg bn br bs ca-valencia ca cak cs cy
+ da de dsb el en-CA en-GB en-US eo es-AR es-CL es-ES es-MX et eu
+ fa ff fi fr fy-NL ga-IE gd gl gn gu-IN he hi-IN hr hsb hu hy-AM
+ ia id is it ja ka kab kk km kn ko lij lt lv mk mr ms my
+ nb-NO ne-NP nl nn-NO oc pa-IN pl pt-BR pt-PT rm ro ru
+ si sk sl son sq sr sv-SE szl ta te th tl tr trs uk ur uz vi
+ xh zh-CN zh-TW
+)
+
+mozilla_set_globals() {
+ # https://bugs.gentoo.org/587334
+ local MOZ_TOO_REGIONALIZED_FOR_L10N=(
+ fy-NL ga-IE gu-IN hi-IN hy-AM nb-NO ne-NP nn-NO pa-IN sv-SE
+ )
+
+ local lang xflag
+ for lang in "${MOZ_LANGS[@]}" ; do
+ # en and en_US are handled internally
+ if [[ ${lang} == en ]] || [[ ${lang} == en-US ]] ; then
+ continue
+ fi
+
+ # strip region subtag if $lang is in the list
+ if has ${lang} "${MOZ_TOO_REGIONALIZED_FOR_L10N[@]}" ; then
+ xflag=${lang%%-*}
+ else
+ xflag=${lang}
+ fi
+
+ SRC_URI+=" l10n_${xflag/[_@]/-}? ("
+ SRC_URI+=" ${MOZ_SRC_BASE_URI}/linux-x86_64/xpi/${lang}.xpi -> ${MOZ_P_DISTFILES}-${lang}.xpi"
+ SRC_URI+=" )"
+ IUSE+=" l10n_${xflag/[_@]/-}"
+ done
+}
+mozilla_set_globals
+
+moz_clear_vendor_checksums() {
+ debug-print-function ${FUNCNAME} "$@"
+
+ if [[ ${#} -ne 1 ]] ; then
+ die "${FUNCNAME} requires exact one argument"
+ fi
+
+ einfo "Clearing cargo checksums for ${1} ..."
+
+ sed -i \
+ -e 's/\("files":{\)[^}]*/\1/' \
+ "${S}"/third_party/rust/${1}/.cargo-checksum.json \
+ || die
+}
+
+moz_install_xpi() {
+ debug-print-function ${FUNCNAME} "$@"
+
+ if [[ ${#} -lt 2 ]] ; then
+ die "${FUNCNAME} requires at least two arguments"
+ fi
+
+ local DESTDIR=${1}
+ shift
+
+ insinto "${DESTDIR}"
+
+ local emid xpi_file xpi_tmp_dir
+ for xpi_file in "${@}" ; do
+ emid=
+ xpi_tmp_dir=$(mktemp -d --tmpdir="${T}")
+
+ # Unpack XPI
+ unzip -qq "${xpi_file}" -d "${xpi_tmp_dir}" || die
+
+ # Determine extension ID
+ if [[ -f "${xpi_tmp_dir}/install.rdf" ]] ; then
+ emid=$(sed -n -e '/install-manifest/,$ { /em:id/!d; s/.*[\">]\([^\"<>]*\)[\"<].*/\1/; p; q }' "${xpi_tmp_dir}/install.rdf")
+ [[ -z "${emid}" ]] && die "failed to determine extension id from install.rdf"
+ elif [[ -f "${xpi_tmp_dir}/manifest.json" ]] ; then
+ emid=$(sed -n -e 's/.*"id": "\([^"]*\)".*/\1/p' "${xpi_tmp_dir}/manifest.json")
+ [[ -z "${emid}" ]] && die "failed to determine extension id from manifest.json"
+ else
+ die "failed to determine extension id"
+ fi
+
+ einfo "Installing ${emid}.xpi into ${ED}${DESTDIR} ..."
+ newins "${xpi_file}" "${emid}.xpi"
+ done
+}
+
+mozconfig_add_options_ac() {
+ debug-print-function ${FUNCNAME} "$@"
+
+ if [[ ${#} -lt 2 ]] ; then
+ die "${FUNCNAME} requires at least two arguments"
+ fi
+
+ local reason=${1}
+ shift
+
+ local option
+ for option in ${@} ; do
+ echo "ac_add_options ${option} # ${reason}" >>${MOZCONFIG}
+ done
+}
+
+mozconfig_add_options_mk() {
+ debug-print-function ${FUNCNAME} "$@"
+
+ if [[ ${#} -lt 2 ]] ; then
+ die "${FUNCNAME} requires at least two arguments"
+ fi
+
+ local reason=${1}
+ shift
+
+ local option
+ for option in ${@} ; do
+ echo "mk_add_options ${option} # ${reason}" >>${MOZCONFIG}
+ done
+}
+
+mozconfig_use_enable() {
+ debug-print-function ${FUNCNAME} "$@"
+
+ if [[ ${#} -lt 1 ]] ; then
+ die "${FUNCNAME} requires at least one arguments"
+ fi
+
+ local flag=$(use_enable "${@}")
+ mozconfig_add_options_ac "$(use ${1} && echo +${1} || echo -${1})" "${flag}"
+}
+
+mozconfig_use_with() {
+ debug-print-function ${FUNCNAME} "$@"
+
+ if [[ ${#} -lt 1 ]] ; then
+ die "${FUNCNAME} requires at least one arguments"
+ fi
+
+ local flag=$(use_with "${@}")
+ mozconfig_add_options_ac "$(use ${1} && echo +${1} || echo -${1})" "${flag}"
+}
+
+pkg_pretend() {
+ if [[ ${MERGE_TYPE} != binary ]] ; then
+ if use pgo ; then
+ if ! has usersandbox $FEATURES ; then
+ die "You must enable usersandbox as X server can not run as root!"
+ fi
+ fi
+
+ # Ensure we have enough disk space to compile
+ if use pgo || use lto || use debug ; then
+ CHECKREQS_DISK_BUILD="13500M"
+ else
+ CHECKREQS_DISK_BUILD="6400M"
+ fi
+
+ check-reqs_pkg_pretend
+ fi
+}
+
+pkg_setup() {
+ if [[ ${MERGE_TYPE} != binary ]] ; then
+ if use pgo ; then
+ if ! has userpriv ${FEATURES} ; then
+ eerror "Building ${PN} with USE=pgo and FEATURES=-userpriv is not supported!"
+ fi
+ fi
+
+ # Ensure we have enough disk space to compile
+ if use pgo || use lto || use debug ; then
+ CHECKREQS_DISK_BUILD="13500M"
+ else
+ CHECKREQS_DISK_BUILD="6400M"
+ fi
+
+ check-reqs_pkg_setup
+
+ llvm_pkg_setup
+
+ if use clang && use lto ; then
+ local version_lld=$(ld.lld --version 2>/dev/null | awk '{ print $2 }')
+ [[ -n ${version_lld} ]] && version_lld=$(ver_cut 1 "${version_lld}")
+ [[ -z ${version_lld} ]] && die "Failed to read ld.lld version!"
+
+ # temp fix for https://bugs.gentoo.org/768543
+ # we can assume that rust 1.{49,50}.0 always uses llvm 11
+ local version_rust=$(rustc -Vv 2>/dev/null | grep -F -- 'release:' | awk '{ print $2 }')
+ [[ -n ${version_rust} ]] && version_rust=$(ver_cut 1-2 "${version_rust}")
+ [[ -z ${version_rust} ]] && die "Failed to read version from rustc!"
+
+ if ver_test "${version_rust}" -ge "1.49" && ver_test "${version_rust}" -le "1.50" ; then
+ local version_llvm_rust="11"
+ else
+ local version_llvm_rust=$(rustc -Vv 2>/dev/null | grep -F -- 'LLVM version:' | awk '{ print $3 }')
+ [[ -n ${version_llvm_rust} ]] && version_llvm_rust=$(ver_cut 1 "${version_llvm_rust}")
+ [[ -z ${version_llvm_rust} ]] && die "Failed to read used LLVM version from rustc!"
+ fi
+
+ if ver_test "${version_lld}" -ne "${version_llvm_rust}" ; then
+ eerror "Rust is using LLVM version ${version_llvm_rust} but ld.lld version belongs to LLVM version ${version_lld}."
+ eerror "You will be unable to link ${CATEGORY}/${PN}. To proceed you have the following options:"
+ eerror " - Manually switch rust version using 'eselect rust' to match used LLVM version"
+ eerror " - Switch to dev-lang/rust[system-llvm] which will guarantee matching version"
+ eerror " - Build ${CATEGORY}/${PN} without USE=lto"
+ die "LLVM version used by Rust (${version_llvm_rust}) does not match with ld.lld version (${version_lld})!"
+ fi
+ fi
+
+ if ! use clang && [[ $(gcc-major-version) -eq 11 ]] \
+ && ! has_version -b ">sys-devel/gcc-11.1.0:11" ; then
+ # bug 792705
+ eerror "Using GCC 11 to compile firefox is currently known to be broken (see bug #792705)."
+ die "Set USE=clang or select <gcc-11 to build ${CATEGORY}/${P}."
+ fi
+
+ python-any-r1_pkg_setup
+
+ # Avoid PGO profiling problems due to enviroment leakage
+ # These should *always* be cleaned up anyway
+ unset \
+ DBUS_SESSION_BUS_ADDRESS \
+ DISPLAY \
+ ORBIT_SOCKETDIR \
+ SESSION_MANAGER \
+ XAUTHORITY \
+ XDG_CACHE_HOME \
+ XDG_SESSION_COOKIE
+
+ # Build system is using /proc/self/oom_score_adj, bug #604394
+ addpredict /proc/self/oom_score_adj
+
+ if ! mountpoint -q /dev/shm ; then
+ # If /dev/shm is not available, configure is known to fail with
+ # a traceback report referencing /usr/lib/pythonN.N/multiprocessing/synchronize.py
+ ewarn "/dev/shm is not mounted -- expect build failures!"
+ fi
+
+ # Google API keys (see http://www.chromium.org/developers/how-tos/api-keys)
+ # Note: These are for Gentoo Linux use ONLY. For your own distribution, please
+ # get your own set of keys.
+ if [[ -z "${MOZ_API_KEY_GOOGLE+set}" ]] ; then
+ MOZ_API_KEY_GOOGLE="AIzaSyDEAOvatFogGaPi0eTgsV_ZlEzx0ObmepsMzfAc"
+ fi
+
+ if [[ -z "${MOZ_API_KEY_LOCATION+set}" ]] ; then
+ MOZ_API_KEY_LOCATION="AIzaSyB2h2OuRgGaPicUgy5N-5hsZqiPW6sH3n_rptiQ"
+ fi
+
+ # Mozilla API keys (see https://location.services.mozilla.com/api)
+ # Note: These are for Gentoo Linux use ONLY. For your own distribution, please
+ # get your own set of keys.
+ if [[ -z "${MOZ_API_KEY_MOZILLA+set}" ]] ; then
+ MOZ_API_KEY_MOZILLA="edb3d487-3a84-46m0ap1e3-9dfd-92b5efaaa005"
+ fi
+
+ # Ensure we use C locale when building, bug #746215
+ export LC_ALL=C
+ fi
+
+ CONFIG_CHECK="~SECCOMP"
+ WARNING_SECCOMP="CONFIG_SECCOMP not set! This system will be unable to play DRM-protected content."
+ linux-info_pkg_setup
+}
+
+src_unpack() {
+ local _lp_dir="${WORKDIR}/language_packs"
+ local _src_file
+
+ if [[ ! -d "${_lp_dir}" ]] ; then
+ mkdir "${_lp_dir}" || die
+ fi
+
+ for _src_file in ${A} ; do
+ if [[ ${_src_file} == *.xpi ]]; then
+ cp "${DISTDIR}/${_src_file}" "${_lp_dir}" || die "Failed to copy '${_src_file}' to '${_lp_dir}'!"
+ else
+ unpack ${_src_file}
+ fi
+ done
+}
+
+src_prepare() {
+ use lto && rm -v "${WORKDIR}"/firefox-patches/*-LTO-Only-enable-LTO-*.patch
+ eapply "${WORKDIR}/firefox-patches"
+
+ # Allow user to apply any additional patches without modifing ebuild
+ eapply_user
+
+ # Make LTO respect MAKEOPTS
+ sed -i \
+ -e "s/multiprocessing.cpu_count()/$(makeopts_jobs)/" \
+ "${S}"/build/moz.configure/lto-pgo.configure \
+ || die "sed failed to set num_cores"
+
+ # Make ICU respect MAKEOPTS
+ sed -i \
+ -e "s/multiprocessing.cpu_count()/$(makeopts_jobs)/" \
+ "${S}"/intl/icu_sources_data.py \
+ || die "sed failed to set num_cores"
+
+ # sed-in toolchain prefix
+ sed -i \
+ -e "s/objdump/${CHOST}-objdump/" \
+ "${S}"/python/mozbuild/mozbuild/configure/check_debug_ranges.py \
+ || die "sed failed to set toolchain prefix"
+
+ sed -i \
+ -e 's/ccache_stats = None/return None/' \
+ "${S}"/python/mozbuild/mozbuild/controller/building.py \
+ || die "sed failed to disable ccache stats call"
+
+ einfo "Removing pre-built binaries ..."
+ find "${S}"/third_party -type f \( -name '*.so' -o -name '*.o' \) -print -delete || die
+
+ # Clearing checksums where we have applied patches
+ moz_clear_vendor_checksums target-lexicon-0.9.0
+
+ # Create build dir
+ BUILD_DIR="${WORKDIR}/${PN}_build"
+ mkdir -p "${BUILD_DIR}" || die
+
+ # Write API keys to disk
+ echo -n "${MOZ_API_KEY_GOOGLE//gGaPi/}" > "${S}"/api-google.key || die
+ echo -n "${MOZ_API_KEY_LOCATION//gGaPi/}" > "${S}"/api-location.key || die
+ echo -n "${MOZ_API_KEY_MOZILLA//m0ap1/}" > "${S}"/api-mozilla.key || die
+
+ xdg_src_prepare
+}
+
+src_configure() {
+ # Show flags set at the beginning
+ einfo "Current BINDGEN_CFLAGS:\t${BINDGEN_CFLAGS:-no value set}"
+ einfo "Current CFLAGS:\t\t${CFLAGS:-no value set}"
+ einfo "Current CXXFLAGS:\t\t${CXXFLAGS:-no value set}"
+ einfo "Current LDFLAGS:\t\t${LDFLAGS:-no value set}"
+ einfo "Current RUSTFLAGS:\t\t${RUSTFLAGS:-no value set}"
+
+ local have_switched_compiler=
+ if use clang && ! tc-is-clang ; then
+ # Force clang
+ einfo "Enforcing the use of clang due to USE=clang ..."
+ have_switched_compiler=yes
+ AR=llvm-ar
+ CC=${CHOST}-clang
+ CXX=${CHOST}-clang++
+ NM=llvm-nm
+ RANLIB=llvm-ranlib
+ elif ! use clang && ! tc-is-gcc ; then
+ # Force gcc
+ have_switched_compiler=yes
+ einfo "Enforcing the use of gcc due to USE=-clang ..."
+ AR=gcc-ar
+ CC=${CHOST}-gcc
+ CXX=${CHOST}-g++
+ NM=gcc-nm
+ RANLIB=gcc-ranlib
+ fi
+
+ if [[ -n "${have_switched_compiler}" ]] ; then
+ # Because we switched active compiler we have to ensure
+ # that no unsupported flags are set
+ strip-unsupported-flags
+ fi
+
+ # Ensure we use correct toolchain
+ export HOST_CC="$(tc-getBUILD_CC)"
+ export HOST_CXX="$(tc-getBUILD_CXX)"
+ tc-export CC CXX LD AR NM OBJDUMP RANLIB PKG_CONFIG
+
+ # Pass the correct toolchain paths through cbindgen
+ if tc-is-cross-compiler ; then
+ export BINDGEN_CFLAGS="${SYSROOT:+--sysroot=${ESYSROOT}} --target=${CHOST} ${BINDGEN_CFLAGS-}"
+ fi
+
+ # Set MOZILLA_FIVE_HOME
+ export MOZILLA_FIVE_HOME="/usr/$(get_libdir)/${PN}"
+
+ # python/mach/mach/mixin/process.py fails to detect SHELL
+ export SHELL="${EPREFIX}/bin/bash"
+
+ # Set MOZCONFIG
+ export MOZCONFIG="${S}/.mozconfig"
+
+ # Initialize MOZCONFIG
+ mozconfig_add_options_ac '' --enable-application=browser
+
+ # Set Gentoo defaults
+ export MOZILLA_OFFICIAL=1
+
+ mozconfig_add_options_ac 'Gentoo default' \
+ --allow-addon-sideload \
+ --disable-cargo-incremental \
+ --disable-crashreporter \
+ --disable-install-strip \
+ --disable-strip \
+ --disable-updater \
+ --enable-official-branding \
+ --enable-release \
+ --enable-system-ffi \
+ --enable-system-pixman \
+ --host="${CBUILD:-${CHOST}}" \
+ --libdir="${EPREFIX}/usr/$(get_libdir)" \
+ --prefix="${EPREFIX}/usr" \
+ --target="${CHOST}" \
+ --without-ccache \
+ --with-intl-api \
+ --with-libclang-path="$(llvm-config --libdir)" \
+ --with-system-nspr \
+ --with-system-nss \
+ --with-system-png \
+ --with-system-zlib \
+ --with-toolchain-prefix="${CHOST}-" \
+ --with-unsigned-addon-scopes=app,system \
+ --x-includes="${SYSROOT}${EPREFIX}/usr/include" \
+ --x-libraries="${SYSROOT}${EPREFIX}/usr/$(get_libdir)"
+
+ # Set update channel
+ local update_channel=release
+ [[ -n ${MOZ_ESR} ]] && update_channel=esr
+ mozconfig_add_options_ac '' --update-channel=${update_channel}
+
+ if ! use x86 && [[ ${CHOST} != armv*h* ]] ; then
+ mozconfig_add_options_ac '' --enable-rust-simd
+ fi
+
+ if [[ -s "${S}/api-google.key" ]] ; then
+ local key_origin="Gentoo default"
+ if [[ $(cat "${S}/api-google.key" | md5sum | awk '{ print $1 }') != 709560c02f94b41f9ad2c49207be6c54 ]] ; then
+ key_origin="User value"
+ fi
+
+ mozconfig_add_options_ac "${key_origin}" \
+ --with-google-safebrowsing-api-keyfile="${S}/api-google.key"
+ else
+ einfo "Building without Google API key ..."
+ fi
+
+ if [[ -s "${S}/api-location.key" ]] ; then
+ local key_origin="Gentoo default"
+ if [[ $(cat "${S}/api-location.key" | md5sum | awk '{ print $1 }') != ffb7895e35dedf832eb1c5d420ac7420 ]] ; then
+ key_origin="User value"
+ fi
+
+ mozconfig_add_options_ac "${key_origin}" \
+ --with-google-location-service-api-keyfile="${S}/api-location.key"
+ else
+ einfo "Building without Location API key ..."
+ fi
+
+ if [[ -s "${S}/api-mozilla.key" ]] ; then
+ local key_origin="Gentoo default"
+ if [[ $(cat "${S}/api-mozilla.key" | md5sum | awk '{ print $1 }') != 3927726e9442a8e8fa0e46ccc39caa27 ]] ; then
+ key_origin="User value"
+ fi
+
+ mozconfig_add_options_ac "${key_origin}" \
+ --with-mozilla-api-keyfile="${S}/api-mozilla.key"
+ else
+ einfo "Building without Mozilla API key ..."
+ fi
+
+ mozconfig_use_with system-av1
+ mozconfig_use_with system-harfbuzz
+ mozconfig_use_with system-harfbuzz system-graphite2
+ mozconfig_use_with system-icu
+ mozconfig_use_with system-jpeg
+ mozconfig_use_with system-libevent system-libevent "${SYSROOT}${EPREFIX}/usr"
+ mozconfig_use_with system-libvpx
+ mozconfig_use_with system-webp
+
+ mozconfig_use_enable dbus
+
+ use eme-free && mozconfig_add_options_ac '+eme-free' --disable-eme
+
+ mozconfig_use_enable geckodriver
+
+ if use hardened ; then
+ mozconfig_add_options_ac "+hardened" --enable-hardening
+ append-ldflags "-Wl,-z,relro -Wl,-z,now"
+ fi
+
+ mozconfig_use_enable jack
+
+ mozconfig_use_enable pulseaudio
+ # force the deprecated alsa sound code if pulseaudio is disabled
+ if use kernel_linux && ! use pulseaudio ; then
+ mozconfig_add_options_ac '-pulseaudio' --enable-alsa
+ fi
+
+ mozconfig_use_enable sndio
+
+ mozconfig_use_enable wifi necko-wifi
+
+ if use wayland ; then
+ mozconfig_add_options_ac '+wayland' --enable-default-toolkit=cairo-gtk3-wayland
+ else
+ mozconfig_add_options_ac '' --enable-default-toolkit=cairo-gtk3
+ fi
+
+ if use lto ; then
+ if use clang ; then
+ # Upstream only supports lld when using clang
+ mozconfig_add_options_ac "forcing ld=lld due to USE=clang and USE=lto" --enable-linker=lld
+
+ mozconfig_add_options_ac '+lto' --enable-lto=cross
+ else
+ # ThinLTO is currently broken, see bmo#1644409
+ mozconfig_add_options_ac '+lto' --enable-lto=full
+ fi
+
+ if use pgo ; then
+ mozconfig_add_options_ac '+pgo' MOZ_PGO=1
+
+ if use clang ; then
+ # Used in build/pgo/profileserver.py
+ export LLVM_PROFDATA="llvm-profdata"
+ fi
+ fi
+ else
+ # Avoid auto-magic on linker
+ if use clang ; then
+ # This is upstream's default
+ mozconfig_add_options_ac "forcing ld=lld due to USE=clang" --enable-linker=lld
+ else
+ mozconfig_add_options_ac "linker is set to bfd" --enable-linker=bfd
+ fi
+ fi
+
+ # LTO flag was handled via configure
+ filter-flags '-flto*'
+
+ mozconfig_use_enable debug
+ if use debug ; then
+ mozconfig_add_options_ac '+debug' --disable-optimize
+ else
+ if is-flag '-g*' ; then
+ if use clang ; then
+ mozconfig_add_options_ac 'from CFLAGS' --enable-debug-symbols=$(get-flag '-g*')
+ else
+ mozconfig_add_options_ac 'from CFLAGS' --enable-debug-symbols
+ fi
+ else
+ mozconfig_add_options_ac 'Gentoo default' --disable-debug-symbols
+ fi
+
+ if is-flag '-O0' ; then
+ mozconfig_add_options_ac "from CFLAGS" --enable-optimize=-O0
+ elif is-flag '-O4' ; then
+ mozconfig_add_options_ac "from CFLAGS" --enable-optimize=-O4
+ elif is-flag '-O3' ; then
+ mozconfig_add_options_ac "from CFLAGS" --enable-optimize=-O3
+ elif is-flag '-O1' ; then
+ mozconfig_add_options_ac "from CFLAGS" --enable-optimize=-O1
+ elif is-flag '-Os' ; then
+ mozconfig_add_options_ac "from CFLAGS" --enable-optimize=-Os
+ else
+ mozconfig_add_options_ac "Gentoo default" --enable-optimize=-O2
+ fi
+ fi
+
+ # Debug flag was handled via configure
+ filter-flags '-g*'
+
+ # Optimization flag was handled via configure
+ filter-flags '-O*'
+
+ # Modifications to better support ARM, bug #553364
+ if use cpu_flags_arm_neon ; then
+ mozconfig_add_options_ac '+cpu_flags_arm_neon' --with-fpu=neon
+
+ if ! tc-is-clang ; then
+ # thumb options aren't supported when using clang, bug 666966
+ mozconfig_add_options_ac '+cpu_flags_arm_neon' \
+ --with-thumb=yes \
+ --with-thumb-interwork=no
+ fi
+ fi
+
+ if [[ ${CHOST} == armv*h* ]] ; then
+ mozconfig_add_options_ac 'CHOST=armv*h*' --with-float-abi=hard
+
+ if ! use system-libvpx ; then
+ sed -i \
+ -e "s|softfp|hard|" \
+ "${S}"/media/libvpx/moz.build \
+ || die
+ fi
+ fi
+
+ if use clang ; then
+ # https://bugzilla.mozilla.org/show_bug.cgi?id=1482204
+ # https://bugzilla.mozilla.org/show_bug.cgi?id=1483822
+ # toolkit/moz.configure Elfhack section: target.cpu in ('arm', 'x86', 'x86_64')
+ local disable_elf_hack=
+ if use amd64 ; then
+ disable_elf_hack=yes
+ elif use x86 ; then
+ disable_elf_hack=yes
+ elif use arm ; then
+ disable_elf_hack=yes
+ fi
+
+ if [[ -n ${disable_elf_hack} ]] ; then
+ mozconfig_add_options_ac 'elf-hack is broken when using Clang' --disable-elf-hack
+ fi
+ elif tc-is-gcc ; then
+ if ver_test $(gcc-fullversion) -ge 10 ; then
+ einfo "Forcing -fno-tree-loop-vectorize to workaround GCC bug, see bug 758446 ..."
+ append-cxxflags -fno-tree-loop-vectorize
+ fi
+ fi
+
+ # Additional ARCH support
+ case "${ARCH}" in
+ arm)
+ # Reduce the memory requirements for linking
+ if use clang ; then
+ # Nothing to do
+ :;
+ elif tc-ld-is-gold || use lto ; then
+ append-ldflags -Wl,--no-keep-memory
+ else
+ append-ldflags -Wl,--no-keep-memory -Wl,--reduce-memory-overheads
+ fi
+ ;;
+ esac
+
+ if ! use elibc_glibc ; then
+ mozconfig_add_options_ac '!elibc_glibc' --disable-jemalloc
+ fi
+
+ # Allow elfhack to work in combination with unstripped binaries
+ # when they would normally be larger than 2GiB.
+ append-ldflags "-Wl,--compress-debug-sections=zlib"
+
+ # Make revdep-rebuild.sh happy; Also required for musl
+ append-ldflags -Wl,-rpath="${MOZILLA_FIVE_HOME}",--enable-new-dtags
+
+ # Pass $MAKEOPTS to build system
+ export MOZ_MAKE_FLAGS="${MAKEOPTS}"
+
+ # Use system's Python environment
+ export MACH_USE_SYSTEM_PYTHON=1
+
+ # Disable notification when build system has finished
+ export MOZ_NOSPAM=1
+
+ # Portage sets XARGS environment variable to "xargs -r" by default which
+ # breaks build system's check_prog() function which doesn't support arguments
+ mozconfig_add_options_ac 'Gentoo default' "XARGS=${EPREFIX}/usr/bin/xargs"
+
+ # Set build dir
+ mozconfig_add_options_mk 'Gentoo default' "MOZ_OBJDIR=${BUILD_DIR}"
+
+ # Show flags we will use
+ einfo "Build BINDGEN_CFLAGS:\t${BINDGEN_CFLAGS:-no value set}"
+ einfo "Build CFLAGS:\t\t${CFLAGS:-no value set}"
+ einfo "Build CXXFLAGS:\t\t${CXXFLAGS:-no value set}"
+ einfo "Build LDFLAGS:\t\t${LDFLAGS:-no value set}"
+ einfo "Build RUSTFLAGS:\t\t${RUSTFLAGS:-no value set}"
+
+ # Handle EXTRA_CONF and show summary
+ local ac opt hash reason
+
+ # Apply EXTRA_ECONF entries to $MOZCONFIG
+ if [[ -n ${EXTRA_ECONF} ]] ; then
+ IFS=\! read -a ac <<<${EXTRA_ECONF// --/\!}
+ for opt in "${ac[@]}"; do
+ mozconfig_add_options_ac "EXTRA_ECONF" --${opt#--}
+ done
+ fi
+
+ echo
+ echo "=========================================================="
+ echo "Building ${PF} with the following configuration"
+ grep ^ac_add_options "${MOZCONFIG}" | while read ac opt hash reason; do
+ [[ -z ${hash} || ${hash} == \# ]] \
+ || die "error reading mozconfig: ${ac} ${opt} ${hash} ${reason}"
+ printf " %-30s %s\n" "${opt}" "${reason:-mozilla.org default}"
+ done
+ echo "=========================================================="
+ echo
+
+ ./mach configure || die
+}
+
+src_compile() {
+ local virtx_cmd=
+
+ if use pgo ; then
+ virtx_cmd=virtx
+
+ # Reset and cleanup environment variables used by GNOME/XDG
+ gnome2_environment_reset
+
+ addpredict /root
+ fi
+
+ local -x GDK_BACKEND=x11
+
+ ${virtx_cmd} ./mach build --verbose \
+ || die
+}
+
+src_install() {
+ # xpcshell is getting called during install
+ pax-mark m \
+ "${BUILD_DIR}"/dist/bin/xpcshell \
+ "${BUILD_DIR}"/dist/bin/${PN} \
+ "${BUILD_DIR}"/dist/bin/plugin-container
+
+ DESTDIR="${D}" ./mach install || die
+
+ # Upstream cannot ship symlink but we can (bmo#658850)
+ rm "${ED}${MOZILLA_FIVE_HOME}/${PN}-bin" || die
+ dosym ${PN} ${MOZILLA_FIVE_HOME}/${PN}-bin
+
+ # Don't install llvm-symbolizer from sys-devel/llvm package
+ if [[ -f "${ED}${MOZILLA_FIVE_HOME}/llvm-symbolizer" ]] ; then
+ rm -v "${ED}${MOZILLA_FIVE_HOME}/llvm-symbolizer" || die
+ fi
+
+ # Install policy (currently only used to disable application updates)
+ insinto "${MOZILLA_FIVE_HOME}/distribution"
+ newins "${FILESDIR}"/distribution.ini distribution.ini
+ newins "${FILESDIR}"/disable-auto-update.policy.json policies.json
+
+ # Install system-wide preferences
+ local PREFS_DIR="${MOZILLA_FIVE_HOME}/browser/defaults/preferences"
+ insinto "${PREFS_DIR}"
+ newins "${FILESDIR}"/gentoo-default-prefs.js all-gentoo.js
+
+ local GENTOO_PREFS="${ED}${PREFS_DIR}/all-gentoo.js"
+
+ # Set dictionary path to use system hunspell
+ cat >>"${GENTOO_PREFS}" <<-EOF || die "failed to set spellchecker.dictionary_path pref"
+ pref("spellchecker.dictionary_path", "${EPREFIX}/usr/share/myspell");
+ EOF
+
+ # Force hwaccel prefs if USE=hwaccel is enabled
+ if use hwaccel ; then
+ cat "${FILESDIR}"/gentoo-hwaccel-prefs.js \
+ >>"${GENTOO_PREFS}" \
+ || die "failed to add prefs to force hardware-accelerated rendering to all-gentoo.js"
+ fi
+
+ if ! use gmp-autoupdate ; then
+ local plugin
+ for plugin in "${MOZ_GMP_PLUGIN_LIST[@]}" ; do
+ einfo "Disabling auto-update for ${plugin} plugin ..."
+ cat >>"${GENTOO_PREFS}" <<-EOF || die "failed to disable autoupdate for ${plugin} media plugin"
+ pref("media.${plugin}.autoupdate", false);
+ EOF
+ done
+ fi
+
+ # Force the graphite pref if USE=system-harfbuzz is enabled, since the pref cannot disable it
+ if use system-harfbuzz ; then
+ cat >>"${GENTOO_PREFS}" <<-EOF || die "failed to set gfx.font_rendering.graphite.enabled pref"
+ sticky_pref("gfx.font_rendering.graphite.enabled", true);
+ EOF
+ fi
+
+ # Install language packs
+ local langpacks=( $(find "${WORKDIR}/language_packs" -type f -name '*.xpi') )
+ if [[ -n "${langpacks}" ]] ; then
+ moz_install_xpi "${MOZILLA_FIVE_HOME}/distribution/extensions" "${langpacks[@]}"
+ fi
+
+ # Install geckodriver
+ if use geckodriver ; then
+ einfo "Installing geckodriver into ${ED}${MOZILLA_FIVE_HOME} ..."
+ pax-mark m "${BUILD_DIR}"/dist/bin/geckodriver
+ exeinto "${MOZILLA_FIVE_HOME}"
+ doexe "${BUILD_DIR}"/dist/bin/geckodriver
+
+ dosym ${MOZILLA_FIVE_HOME}/geckodriver /usr/bin/geckodriver
+ fi
+
+ # Install icons
+ local icon_srcdir="${S}/browser/branding/official"
+ local icon_symbolic_file="${FILESDIR}/icon/firefox-symbolic.svg"
+
+ insinto /usr/share/icons/hicolor/symbolic/apps
+ newins "${icon_symbolic_file}" ${PN}-symbolic.svg
+
+ local icon size
+ for icon in "${icon_srcdir}"/default*.png ; do
+ size=${icon%.png}
+ size=${size##*/default}
+
+ if [[ ${size} -eq 48 ]] ; then
+ newicon "${icon}" ${PN}.png
+ fi
+
+ newicon -s ${size} "${icon}" ${PN}.png
+ done
+
+ # Install menu
+ local app_name="Mozilla ${MOZ_PN^}"
+ local desktop_file="${FILESDIR}/icon/${PN}-r2.desktop"
+ local desktop_filename="${PN}.desktop"
+ local exec_command="${PN}"
+ local use_wayland="false"
+
+ if use wayland ; then
+ use_wayland="true"
+ fi
+
+ cp "${desktop_file}" "${WORKDIR}/${PN}.desktop-template" || die
+
+ sed -i \
+ -e "s:@NAME@:${app_name}:" \
+ -e "s:@EXEC@:${exec_command}:" \
+ -e "s:@ICON@:${icon}:" \
+ "${WORKDIR}/${PN}.desktop-template" \
+ || die
+
+ newmenu "${WORKDIR}/${PN}.desktop-template" "${desktop_filename}"
+
+ rm "${WORKDIR}/${PN}.desktop-template" || die
+
+ # Install wrapper script
+ [[ -f "${ED}/usr/bin/${PN}" ]] && rm "${ED}/usr/bin/${PN}"
+ newbin "${FILESDIR}/${PN}-r1.sh" ${PN}
+
+ # Update wrapper
+ sed -i \
+ -e "s:@PREFIX@:${EPREFIX}/usr:" \
+ -e "s:@MOZ_FIVE_HOME@:${MOZILLA_FIVE_HOME}:" \
+ -e "s:@APULSELIB_DIR@:${apulselib}:" \
+ -e "s:@DEFAULT_WAYLAND@:${use_wayland}:" \
+ "${ED}/usr/bin/${PN}" \
+ || die
+}
+
+pkg_preinst() {
+ xdg_pkg_preinst
+
+ # If the apulse libs are available in MOZILLA_FIVE_HOME then apulse
+ # does not need to be forced into the LD_LIBRARY_PATH
+ if use pulseaudio && has_version ">=media-sound/apulse-0.1.12-r4" ; then
+ einfo "APULSE found; Generating library symlinks for sound support ..."
+ local lib
+ pushd "${ED}${MOZILLA_FIVE_HOME}" &>/dev/null || die
+ for lib in ../apulse/libpulse{.so{,.0},-simple.so{,.0}} ; do
+ # A quickpkg rolled by hand will grab symlinks as part of the package,
+ # so we need to avoid creating them if they already exist.
+ if [[ ! -L ${lib##*/} ]] ; then
+ ln -s "${lib}" ${lib##*/} || die
+ fi
+ done
+ popd &>/dev/null || die
+ fi
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+
+ if ! use gmp-autoupdate ; then
+ elog "USE='-gmp-autoupdate' has disabled the following plugins from updating or"
+ elog "installing into new profiles:"
+ local plugin
+ for plugin in "${MOZ_GMP_PLUGIN_LIST[@]}" ; do
+ elog "\t ${plugin}"
+ done
+ elog
+ fi
+
+ if use pulseaudio && has_version ">=media-sound/apulse-0.1.12-r4" ; then
+ elog "Apulse was detected at merge time on this system and so it will always be"
+ elog "used for sound. If you wish to use pulseaudio instead please unmerge"
+ elog "media-sound/apulse."
+ elog
+ fi
+
+ local show_doh_information show_normandy_information show_shortcut_information
+
+ if [[ -z "${REPLACING_VERSIONS}" ]] ; then
+ # New install; Tell user that DoH is disabled by default
+ show_doh_information=yes
+ show_normandy_information=yes
+ show_shortcut_information=no
+ else
+ local replacing_version
+ for replacing_version in ${REPLACING_VERSIONS} ; do
+ if ver_test "${replacing_version}" -lt 91.0 ; then
+ # Tell user that we no longer install a shortcut
+ # per supported display protocol
+ show_shortcut_information=yes
+ fi
+ done
+ fi
+
+ if [[ -n "${show_doh_information}" ]] ; then
+ elog
+ elog "Note regarding Trusted Recursive Resolver aka DNS-over-HTTPS (DoH):"
+ elog "Due to privacy concerns (encrypting DNS might be a good thing, sending all"
+ elog "DNS traffic to Cloudflare by default is not a good idea and applications"
+ elog "should respect OS configured settings), \"network.trr.mode\" was set to 5"
+ elog "(\"Off by choice\") by default."
+ elog "You can enable DNS-over-HTTPS in ${PN^}'s preferences."
+ fi
+
+ # bug 713782
+ if [[ -n "${show_normandy_information}" ]] ; then
+ elog
+ elog "Upstream operates a service named Normandy which allows Mozilla to"
+ elog "push changes for default settings or even install new add-ons remotely."
+ elog "While this can be useful to address problems like 'Armagadd-on 2.0' or"
+ elog "revert previous decisions to disable TLS 1.0/1.1, privacy and security"
+ elog "concerns prevail, which is why we have switched off the use of this"
+ elog "service by default."
+ elog
+ elog "To re-enable this service set"
+ elog
+ elog " app.normandy.enabled=true"
+ elog
+ elog "in about:config."
+ fi
+
+ if [[ -n "${show_shortcut_information}" ]] ; then
+ elog
+ elog "Since firefox-91.0 we no longer install multiple shortcuts for"
+ elog "each supported display protocol. Instead we will only install"
+ elog "one generic Mozilla Firefox shortcut."
+ elog "If you still want to be able to select between running Mozilla Firefox"
+ elog "on X11 or Wayland, you have to re-create these shortcuts on your own."
+ fi
+}